<?php

add_action('init','of_options');

if (!function_exists('of_options'))
{
	function of_options()
	{
		//Access the WordPress Categories via an Array
		$of_categories 		= array();  
		$of_categories_obj 	= get_categories('hide_empty=0');
		foreach ($of_categories_obj as $of_cat) {
		    $of_categories[$of_cat->cat_ID] = $of_cat->cat_name;}
		$categories_tmp 	= array_unshift($of_categories, "". esc_html__('Select a category:', 'kickcube-wp') ."");    
	       
		//Access the WordPress Pages via an Array
		$of_pages 			= array();
		$of_pages_obj 		= get_pages('sort_column=post_parent,menu_order');    
		foreach ($of_pages_obj as $of_page) {
		    $of_pages[$of_page->ID] = $of_page->post_name; }
		$of_pages_tmp 		= array_unshift($of_pages, "". esc_html__('Select a page:', 'kickcube-wp') ."");       
	

		//Stylesheets Reader
		$alt_stylesheet_path = LAYOUT_PATH;
		$alt_stylesheets = array();
		
		if ( is_dir($alt_stylesheet_path) ) 
		{
		    if ($alt_stylesheet_dir = opendir($alt_stylesheet_path) ) 
		    { 
		        while ( ($alt_stylesheet_file = readdir($alt_stylesheet_dir)) !== false ) 
		        {
		            if(stristr($alt_stylesheet_file, ".css") !== false)
		            {
		                $alt_stylesheets[] = $alt_stylesheet_file;
		            }
		        }    
		    }
		}


		//Background Images Reader
		$bg_images_path = get_stylesheet_directory(). '/images/bg/'; // change this to where you store your bg images
		$bg_images_url = get_template_directory_uri().'/images/bg/'; // change this to where you store your bg images
		$bg_images = array();
		
		if ( is_dir($bg_images_path) ) {
		    if ($bg_images_dir = opendir($bg_images_path) ) { 
		        while ( ($bg_images_file = readdir($bg_images_dir)) !== false ) {
		            if(stristr($bg_images_file, ".png") !== false || stristr($bg_images_file, ".jpg") !== false) {
		            	natsort($bg_images); //Sorts the array into a natural order
		                $bg_images[] = $bg_images_url . $bg_images_file;
		            }
		        }    
		    }
		}
		

		/*-----------------------------------------------------------------------------------*/
		/* TO DO: Add options/functions that use these */
		/*-----------------------------------------------------------------------------------*/
		
		//More Options
		$uploads_arr 		= wp_upload_dir();
		$all_uploads_path 	= $uploads_arr['path'];
		$all_uploads 		= get_option('of_uploads');
		$imgs_url = get_template_directory_uri().'/images/';
		$imgs_url_demo = get_template_directory_uri().'/demo';



// Set the Options Array
global $of_options;
$of_options = array();
 


/*-----------------------------------------------------------------------------------*/
/* https://github.com/syamilmj/Options-Framework/blob/master/admin/functions/functions.options.php */
/* Header Settings */
/*-----------------------------------------------------------------------------------*/

$of_options[] = array( 	"name" 		=> esc_html__( 'General Settings', 'kickcube-wp' ),
						"type" 		=> "heading"
					);


$of_options[] = array( 	"name" 		=> "",
						"desc" 		=> "",
						"id" 		=> "introduction_7",
						"std" 		=> "<h3 style=\"margin: 0 0 10px;\">". esc_html__('Custom Logo.', 'kickcube-wp') ."</h3>
						 ". esc_html__('Upload a custom logo image for your site.', 'kickcube-wp') ."",
						"icon" 		=> true,
						"type" 		=> "info");

$of_options[] = array( 	"name" 		=> esc_html__( 'Custom Logo.', 'kickcube-wp' ),
						"desc" 		=> esc_html__('Upload a custom logo image for your site here. Size for height should be 60px or x2 = 120px for a better display, for retina screens.', 'kickcube-wp'),
						"id" 		=> "kickcube_wp_logo",
						"std" 		=> $imgs_url.'logo.png',
						"type" 		=> "upload");

$of_options[] = array( 	"name" 		=> esc_html__( 'Homepage wider.', 'kickcube-wp' ),
						"desc" 		=> "",
						"id" 		=> "introduction_social",
						"std" 		=> "<h3 style=\"margin: 0 0 10px;\">". esc_html__('Homepage wider.', 'kickcube-wp') ."</h3>
						<strong>". esc_html__('Homepage wider', 'kickcube-wp') ."</strong> ". esc_html__('- up to 1920px.', 'kickcube-wp') ."",
						"icon" 		=> true,
						"type" 		=> "info");

$of_options[] = array( 	"name" 		=> esc_html__( 'Homepage wider.', 'kickcube-wp' ),
						"desc" 		=> esc_html__('Homepage wider, up to 1920px. By default is disabled (Off).', 'kickcube-wp'),
						"id" 		=> "kickcube_wp_homewider",
						"std" 		=> 0,
						"on" 		=> "On",
						"off" 		=> "Off",
						"type" 		=> "switch"
				);

$of_options[] = array( 	"name" 		=> esc_html__( 'Page Preloader.', 'kickcube-wp' ),
						"desc" 		=> "",
						"id" 		=> "introduction_preloader",
						"std" 		=> "<h3 style=\"margin: 0 0 10px;\">". esc_html__('Page Preloader.', 'kickcube-wp') ."</h3>
						". esc_html__('Page Preloader.', 'kickcube-wp') ."",
						"icon" 		=> true,
						"type" 		=> "info");

$of_options[] = array( 	"name" 		=> esc_html__( 'Page Preloader.', 'kickcube-wp' ),
						"desc" 		=> esc_html__('Page Preloader. By default is disabled (Off).', 'kickcube-wp'),
						"id" 		=> "kickcube_wp_page_preloader",
						"std" 		=> 0,
						"on" 		=> "On",
						"off" 		=> "Off",
						"type" 		=> "switch"
				);


$of_options[] = array( 	"name" 		=> esc_html__( 'Social Share Icons', 'kickcube-wp' ),
						"desc" 		=> "",
						"id" 		=> "introduction_preloader",
						"std" 		=> "<h3 style=\"margin: 0 0 10px;\">". esc_html__('Social Share Icons', 'kickcube-wp') ."</h3>
						". esc_html__('Social Share Icons', 'kickcube-wp') ."",
						"icon" 		=> true,
						"type" 		=> "info");

$of_options[] = array( 	"name" 		=> esc_html__( 'Social Share Icons', 'kickcube-wp' ),
						"desc" 		=> esc_html__('Hide Social Share Icons from article page? Switch to On, in order to hide the social share icons.', 'kickcube-wp'),
						"id" 		=> "kickcube_wp_hide_shareicons",
						"std" 		=> 0,
						"on" 		=> "On",
						"off" 		=> "Off",
						"type" 		=> "switch"
				);
					

$of_options[] = array( 	"name" 		=> esc_html__( 'Header Social Icons.', 'kickcube-wp' ),
						"desc" 		=> "",
						"id" 		=> "introduction_social",
						"std" 		=> "<h3 style=\"margin: 0 0 10px;\">". esc_html__('Header Social Icons.', 'kickcube-wp') ."</h3>
						<strong>". esc_html__('Social Icons', 'kickcube-wp') ."</strong> ". esc_html__('- Header Social Icons.', 'kickcube-wp') ."",
						"icon" 		=> true,
						"type" 		=> "info");

$of_options[] = array( 	"name" 		=> esc_html__( 'Social Icons', 'kickcube-wp' ),
						"desc" 		=> "". esc_html__('You can use HTML code. For more social icons go to', 'kickcube-wp') ." <a href=\"https://fontawesome.com/v4.7.0/icons/\" target=\"_blank\">fontawesome</a> ". esc_html__('and at the bottom you have Brand Icons!', 'kickcube-wp') ."",
						"id" 		=> "kickcube_wp_top_icons",
						"std" 		=> "
<li><a href=\"#\"><i class=\"fa fa-facebook\"></i></a></li>
<li><a href=\"#\"><i class=\"fa fa-twitter\"></i></a></li>
<li><a href=\"#\"><i class=\"fa fa-pinterest\"></i></a></li>
<li><a href=\"#\"><i class=\"fa fa-instagram\"></i></a></li>
<li><a href=\"#\"><i class=\"fa fa-xing\"></i></a></li>
<li><a href=\"#\"><i class=\"fa fa-youtube\"></i></a></li>
<li><a href=\"#\"><i class=\"fa fa-dribbble\"></i></a></li>
<li><a href=\"#\"><i class=\"fa fa-vimeo\"></i></a></li>
<li><a href=\"#\"><i class=\"fa fa-vk\"></i></a></li>
<li><a href=\"#\"><i class=\"fa fa-soundcloud\"></i></a></li>",
						"type" 		=> "textarea");	



/*-----------------------------------------------------------------------------------*/
/* Home Settings */
/*-----------------------------------------------------------------------------------*/
$of_options[] = array( 	"name" 		=> esc_html__( 'Home Settings', 'kickcube-wp' ),
						"type" 		=> "heading"
				    );

$of_options[] = array( 	"name" 		=> esc_html__( 'Top Carousel Slider ( Random Articles )', 'kickcube-wp' ),
						"desc" 		=> "",
						"id" 		=> "introduction_002",
						"std" 		=> "<h3 style=\"margin: 0 0 10px;\">". esc_html__('Top Carousel Slider ( Random Articles )', 'kickcube-wp') ."</h3>
						". esc_html__('Top Carousel Slider ( Random Articles ).', 'kickcube-wp') ."",
						"icon" 		=> true,
						"type" 		=> "info");

$of_options[] = array( 	"name" 		=> esc_html__( 'Display: Top Carousel Slider ( Random Articles )?', 'kickcube-wp' ),
						"desc" 		=> esc_html__( 'Display: Top Carousel Slider ( Random Articles )? Make sure your site have at least 12 articles.', 'kickcube-wp' ),
						"id" 		=> "kickcube_wp_display_random_articles",
						"std" 		=> esc_html__( 'No', 'kickcube-wp' ),
						"type" 		=> "select",
						"options" 	=> array(
										esc_html__( 'No', 'kickcube-wp' ),
										esc_html__( 'Yes', 'kickcube-wp' )
									),
					);


$of_options[] = array( 	"name" 		=> esc_html__( 'Featured Articles', 'kickcube-wp' ),
						"desc" 		=> "",
						"id" 		=> "introduction_02",
						"std" 		=> "<h3 style=\"margin: 0 0 10px;\">". esc_html__('Featured Articles By Category', 'kickcube-wp') ."</h3>
						". esc_html__('The Features Articles are displayed based on a category you choose.', 'kickcube-wp') ."",
						"icon" 		=> true,
						"type" 		=> "info");

$of_options[] = array( 	"name" 		=> esc_html__( 'Display: Featured Articles?', 'kickcube-wp' ),
						"desc" 		=> esc_html__( 'Display: Featured Articles?', 'kickcube-wp' ),
						"id" 		=> "kickcube_wp_display_featured_articles",
						"std" 		=> esc_html__( 'No', 'kickcube-wp' ),
						"type" 		=> "select",
						"options" 	=> array(
										esc_html__( 'No', 'kickcube-wp' ),
										esc_html__( 'Yes', 'kickcube-wp' )
									),
					);

$of_options[] = array( 	"name" 		=> esc_html__( 'Featured Articles:', 'kickcube-wp' ),
						"desc" 		=> esc_html__( 'Select a category from the list. In order to use the Featured Articles section, you need to select a category.', 'kickcube-wp' ),
						"id" 		=> "kickcube_featured_articles_tag",
						"std" 		=> esc_html__( 'Select a category:', 'kickcube-wp' ),
						"type" 		=> "select",
						"options" 	=> $of_categories
						);


$of_options[] = array( 	"name" 		=> esc_html__( 'Responsive AD AREA', 'kickcube-wp' ),
						"desc" 		=> "",
						"id" 		=> "introduction_02",
						"std" 		=> "<h3 style=\"margin: 0 0 10px;\">". esc_html__('Responsive Header AD AREA', 'kickcube-wp') ."</h3>
						<strong>". esc_html__('Responsive AD AREA', 'kickcube-wp') ."</strong> ". esc_html__('- Paste your HTML or JavaScript code here.', 'kickcube-wp') ."",
						"icon" 		=> true,
						"type" 		=> "info");

$of_options[] = array( 	"name" 		=> esc_html__( 'Display: Responsive Header AD AREA?', 'kickcube-wp' ),
						"desc" 		=> esc_html__( 'Display: Responsive Header AD AREA?', 'kickcube-wp' ),
						"id" 		=> "kickcube_wp_display_adarea",
						"std" 		=> esc_html__( 'Yes', 'kickcube-wp' ),
						"type" 		=> "select",
						"options" 	=> array(
										esc_html__( 'Yes', 'kickcube-wp' ),
										esc_html__( 'No', 'kickcube-wp' )
									),
					);

$of_options[] = array( 	"name" 		=> esc_html__( 'Responsive AD AREA - Header.', 'kickcube-wp' ),
						"desc" 		=> esc_html__( 'Paste your HTML or JavaScript code here.', 'kickcube-wp' ),
						"id" 		=> "kickcube_wp_headertop",
						"std" 		=> "<a href=\"#\"><img src=\"http://placehold.it/728x90\" width=\"728\" height=\"90\" alt=\"img\" /></a>",
						"type" 		=> "textarea");	


$of_options[] = array( 	"name" 		=> esc_html__( 'Pagination or Infinite Scroll.', 'kickcube-wp' ),
						"desc" 		=> "",
						"id" 		=> "choose_options_home",
						"std" 		=> "<h3 style=\"margin: 0 0 10px;\">". esc_html__('Default Pagination or Infinite Scroll.', 'kickcube-wp') ."</h3>
						". esc_html__('Choose the option that better fits your needs, default is Infinite Scroll.', 'kickcube-wp') ."",
						"icon" 		=> true,
						"type" 		=> "info");

$of_options[] = array( 	"name" 		=> esc_html__( 'Pagination or Infinite Scroll.', 'kickcube-wp' ),
						"desc" 		=> esc_html__( 'Choose the option that better fits your needs, default is Infinite Scroll.', 'kickcube-wp' ),
						"id" 		=> "kickcube_home_pag_select",
						"std" 		=> "0",
						"type" 		=> "select",
						"options" 	=> array(
										esc_html__( 'Infinite Scroll', 'kickcube-wp' ),
										esc_html__( 'Default Pagination', 'kickcube-wp' )
									),
					);


$of_options[] = array( 	"name" 		=> esc_html__( 'Bottom Carousel Slider ( Top Articles by Likes )', 'kickcube-wp' ),
						"desc" 		=> "",
						"id" 		=> "introduction_002",
						"std" 		=> "<h3 style=\"margin: 0 0 10px;\">". esc_html__('Bottom Carousel Slider ( Top Articles by Likes )', 'kickcube-wp') ."</h3>
						". esc_html__('Bottom Carousel Slider ( Top Articles by Likes )', 'kickcube-wp') ."",
						"icon" 		=> true,
						"type" 		=> "info");

$of_options[] = array( 	"name" 		=> esc_html__( 'Display: Bottom Carousel Slider ( Top Articles by Likes )?', 'kickcube-wp' ),
						"desc" 		=> esc_html__( 'Display: Bottom Carousel Slider ( Top Articles by Likes )?', 'kickcube-wp' ),
						"id" 		=> "kickcube_wp_display_toplikes_articles",
						"std" 		=> esc_html__( 'No', 'kickcube-wp' ),
						"type" 		=> "select",
						"options" 	=> array(
										esc_html__( 'No', 'kickcube-wp' ),
										esc_html__( 'Yes', 'kickcube-wp' )
									),
					);


/*-----------------------------------------------------------------------------------*/
/* Style Settings */
/*-----------------------------------------------------------------------------------*/
$of_options[] = array( 	"name" 		=> esc_html__( 'CSS Style Settings', 'kickcube-wp' ),
						"type" 		=> "heading"
				);


$of_options[] = array( 	"name" 		=> esc_html__( 'Style', 'kickcube-wp' ),
						"desc" 		=> "",
						"id" 		=> "introduction_14",
						"std" 		=> "<h3 style=\"margin: 0 0 10px;\">". esc_html__('Main Colors', 'kickcube-wp') ."</h3>
						". esc_html__('The style options control the main color styling of the site.', 'kickcube-wp') ."",
						"icon" 		=> true,
						"type" 		=> "info");


				$of_options[] = array( 	"name" 		=> esc_html__( 'Main Colors', 'kickcube-wp' ),
										"desc" 		=> esc_html__( 'Use the color picker to change the main color of the site to match your brand color.', 'kickcube-wp' ),
										"id" 		=> "kickcube_wp_main_color1",
										"std" 		=> "#3f677a",
										"type" 		=> "color"
								);
								
				$of_options[] = array( 	"name" 		=> "",
										"desc" 		=> esc_html__( 'Use the color picker to change the main color of the site to match your brand color.', 'kickcube-wp' ),
										"id" 		=> "kickcube_wp_main_color2",
										"std" 		=> "#fbda59",
										"type" 		=> "color"
								);
								
				$of_options[] = array( 	"name" 		=> "",
										"desc" 		=> esc_html__( 'Use the color picker to change the main color of the site to match your brand color.', 'kickcube-wp' ),
										"id" 		=> "kickcube_wp_main_color3",
										"std" 		=> "#fa8247",
										"type" 		=> "color"
								);
								
				$of_options[] = array( 	"name" 		=> "",
										"desc" 		=> esc_html__( 'Use the color picker to change the main color of the site to match your brand color.', 'kickcube-wp' ),
										"id" 		=> "kickcube_wp_main_color4",
										"std" 		=> "#ded9e0",
										"type" 		=> "color"
								);


$of_options[] = array( 	"name" 		=> esc_html__( 'Entry Link Color', 'kickcube-wp' ),
						"desc" 		=> esc_html__( 'Use the color picker to change the entry link color on article or default / full width pages.', 'kickcube-wp' ),
						"id" 		=> "kickcube_wp_linkcolor",
						"std" 		=> "#43acc4",
						"type" 		=> "color"
				);


$of_options[] = array( 	"name" 		=> esc_html__( 'Style', 'kickcube-wp' ),
						"desc" 		=> "",
						"id" 		=> "introduction_14",
						"std" 		=> "<h3 style=\"margin: 0 0 10px;\">". esc_html__('Menus colors', 'kickcube-wp') ."</h3>
						". esc_html__('The style options control the menu color styling of the site.', 'kickcube-wp') ."",
						"icon" 		=> true,
						"type" 		=> "info");


$of_options[] = array( 	"name" 		=> esc_html__( 'Menu Link Color', 'kickcube-wp' ),
						"desc" 		=> esc_html__( 'Use the color picker to change the menu link color.', 'kickcube-wp' ),
						"id" 		=> "kickcube_wp_menulinkcolor",
						"std" 		=> "#7f97a6",
						"type" 		=> "color"
				);

$of_options[] = array( 	"name" 		=> esc_html__( 'Menu Link Current / Hover Color', 'kickcube-wp' ),
						"desc" 		=> esc_html__( 'Use the color picker to change the menu link hover / current color.', 'kickcube-wp' ),
						"id" 		=> "kickcube_wp_menulinkhovercolor",
						"std" 		=> "#13121c",
						"type" 		=> "color"
				);


				$of_options[] = array( 	"name" 		=> esc_html__( 'Menus Border colors', 'kickcube-wp' ),
										"desc" 		=> "<strong style=\"color:blue;\">style1</strong> ". esc_html__('Use the color picker to change the color.', 'kickcube-wp') ."",
										"id" 		=> "kickcube_wp_menu_color1",
										"std" 		=> "#DED9E0",
										"type" 		=> "color"
								);
								
				$of_options[] = array( 	"name" 		=> "",
										"desc" 		=> "<strong style=\"color:blue;\">style2</strong> ". esc_html__('Use the color picker to change the color.', 'kickcube-wp') ."",
										"id" 		=> "kickcube_wp_menu_color2",
										"std" 		=> "#7F97A6",
										"type" 		=> "color"
								);
								
				$of_options[] = array( 	"name" 		=> "",
										"desc" 		=> "<strong style=\"color:blue;\">style3</strong> ". esc_html__('Use the color picker to change the color.', 'kickcube-wp') ."",
										"id" 		=> "kickcube_wp_menu_color3",
										"std" 		=> "#3F677A",
										"type" 		=> "color"
								);
								
				$of_options[] = array( 	"name" 		=> "",
										"desc" 		=> "<strong style=\"color:blue;\">style4</strong> ". esc_html__('Use the color picker to change the color.', 'kickcube-wp') ."",
										"id" 		=> "kickcube_wp_menu_color4",
										"std" 		=> "#AD9DC6",
										"type" 		=> "color"
								);

				$of_options[] = array( 	"name" 		=> "",
										"desc" 		=> "<strong style=\"color:blue;\">style5</strong> ". esc_html__('Use the color picker to change the color.', 'kickcube-wp') ."",
										"id" 		=> "kickcube_wp_menu_color5",
										"std" 		=> "#fbda59",
										"type" 		=> "color"
								);

				$of_options[] = array( 	"name" 		=> "",
										"desc" 		=> "<strong style=\"color:blue;\">style6</strong> ". esc_html__('Use the color picker to change the color.', 'kickcube-wp') ."",
										"id" 		=> "kickcube_wp_menu_color6",
										"std" 		=> "#A5CDCA",
										"type" 		=> "color"
								);

				$of_options[] = array( 	"name" 		=> "",
										"desc" 		=> "<strong style=\"color:blue;\">style7</strong> ". esc_html__('Use the color picker to change the color.', 'kickcube-wp') ."",
										"id" 		=> "kickcube_wp_menu_color7",
										"std" 		=> "#E8A968",
										"type" 		=> "color"
								);

				$of_options[] = array( 	"name" 		=> "",
										"desc" 		=> "<strong style=\"color:blue;\">style8</strong> ". esc_html__('Use the color picker to change the color.', 'kickcube-wp') ."",
										"id" 		=> "kickcube_wp_menu_color8",
										"std" 		=> "#EBDD3E",
										"type" 		=> "color"
								);

				$of_options[] = array( 	"name" 		=> "",
										"desc" 		=> "<strong style=\"color:blue;\">style9</strong> ". esc_html__('Use the color picker to change the color.', 'kickcube-wp') ."",
										"id" 		=> "kickcube_wp_menu_color9",
										"std" 		=> "#ded9e0",
										"type" 		=> "color"
								);

				$of_options[] = array( 	"name" 		=> "",
										"desc" 		=> "<strong style=\"color:blue;\">style10</strong> ". esc_html__('Use the color picker to change the color.', 'kickcube-wp') ."",
										"id" 		=> "kickcube_wp_menu_color10",
										"std" 		=> "#ded9e0",
										"type" 		=> "color"
								);





$of_options[] = array( 	"name" 		=> esc_html__( 'Style', 'kickcube-wp' ),
						"desc" 		=> "",
						"id" 		=> "introduction_14",
						"std" 		=> "<h3 style=\"margin: 0 0 10px;\">". esc_html__('Body Background', 'kickcube-wp') ."</h3>
						". esc_html__('The style options control Body Background color.', 'kickcube-wp') ."",
						"icon" 		=> true,
						"type" 		=> "info");


				$of_options[] = array( 	"name" 		=> esc_html__( 'Body Background', 'kickcube-wp' ),
										"desc" 		=> esc_html__( 'Use the color picker to change the Body Background color.', 'kickcube-wp' ),
										"id" 		=> "kickcube_wp_body_bg",
										"std" 		=> "#ebf6f8",
										"type" 		=> "color"
								);

				$of_options[] = array( 	"name" 		=> esc_html__( 'Body Pattern Image', 'kickcube-wp' ),
										"desc" 		=> esc_html__( 'Pattern image can have any size!', 'kickcube-wp' ),
										"id" 		=> "kickcube_wp_body_pattern_img",
										"std" 		=> "",
										"type" 		=> "upload"
								);



$of_options[] = array( 	"name" 		=> esc_html__( 'Custom CSS.', 'kickcube-wp' ),
						"desc" 		=> "",
						"id" 		=> "introduction_customcss",
						"std" 		=> "<h3 style=\"margin: 0 0 10px;\">". esc_html__('Custom CSS.', 'kickcube-wp') ."</h3>
						". esc_html__('Enter your custom CSS code. It will be included in the head section of the page and before the closing body tag.', 'kickcube-wp') ."",
						"icon" 		=> true,
						"type" 		=> "info");

$of_options[] = array( 	"name" 		=> esc_html__( 'Custom CSS.', 'kickcube-wp' ),
						"desc" 		=> esc_html__( 'Enter your custom CSS code. It will be included in the head section of the page.', 'kickcube-wp' ),
						"id" 		=> "kickcube_wp_custom_css_style",
						"std" 		=> "",
						"type" 		=> "textarea");



/*-----------------------------------------------------------------------------------*/
/* Footer Settings */
/*-----------------------------------------------------------------------------------*/
$of_options[] = array( 	"name" 		=> esc_html__( 'Footer Settings', 'kickcube-wp' ),
						"type" 		=> "heading"
					);

$of_options[] = array( 	"name" 		=> esc_html__( 'Footer Top Section.', 'kickcube-wp' ),
						"desc" 		=> "",
						"id" 		=> "introduction_topsection",
						"std" 		=> "<h3 style=\"margin: 0 0 10px;\">". esc_html__('Footer Top Section.', 'kickcube-wp') ."</h3>
						<strong>". esc_html__('Footer Top Section', 'kickcube-wp') ."</strong> ". esc_html__('- info about members / becoming a member.', 'kickcube-wp') ."",
						"icon" 		=> true,
						"type" 		=> "info");


$of_options[] = array( 	"name" 		=> esc_html__( 'Footer Top Section Info', 'kickcube-wp' ),
						"desc" 		=> esc_html__( 'Info about members / becoming a member. You can use HTML code.', 'kickcube-wp' ),
						"id" 		=> "kickcube_wp_footer_info",
						"std" 		=> "
<h2>JOIN
    <span>3</span>
    <span>3</span>
    <span>2</span>,
    <span>9</span>
    <span>6</span>
    <span>7</span>
    HAPPY MEMBERS
</h2>

<p>Join our feeds to automatically receive the latest headlines, news, and information <br />formatted for your club's website or news reader.</p>

<a href=\"#\" class=\"button\">Become a member</a>",
						"type" 		=> "textarea");	


$of_options[] = array( 	"name" 		=> esc_html__( 'Footer Bottom Section', 'kickcube-wp' ),
						"desc" 		=> "",
						"id" 		=> "introduction_copy",
						"std" 		=> "<h3 style=\"margin: 0 0 10px;\">". esc_html__('Footer Bottom Section.', 'kickcube-wp') ."</h3>
						<strong>". esc_html__('Footer Bottom Section', 'kickcube-wp') ."</strong> ". esc_html__('- Copyright, social icons, etc.', 'kickcube-wp') ."",
						"icon" 		=> true,
						"type" 		=> "info");


$of_options[] = array( 	"name" 		=> esc_html__( 'Copyright', 'kickcube-wp' ),
						"desc" 		=> esc_html__( 'You can use HTML code.', 'kickcube-wp' ),
						"id" 		=> "kickcube_wp_copyright",
						"std" 		=> "
<p>321 Street Name, UK, London <i class=\"fa fa-phone\"></i> (0871)&nbsp;424-1934 <i class=\"fa fa-at\"></i> <a href=\"mailto:info@kickcube.com\">info@kickcube.com</a> </p>
<p>&copy; 2020 Kickcube. All Rights Reserved. Theme by <a href=\"https://anthemes.com/\" target=\"_blank\">Anthemes.com</a></p>",
						"type" 		=> "textarea");	


$of_options[] = array( 	"name" 		=> esc_html__( 'Social Icons', 'kickcube-wp' ),
						"desc" 		=> "". esc_html__('You can use HTML code. For more social icons go to', 'kickcube-wp') ." <a href=\"https://fontawesome.com/v4.7.0/icons/\" target=\"_blank\">fontawesome</a> ". esc_html__('and at the bottom you have Brand Icons!', 'kickcube-wp') ."",
						"id" 		=> "kickcube_wp_footer_icons",
						"std" 		=> "
<li><a href=\"#\"><i class=\"fa fa-facebook\"></i></a></li>
<li><a href=\"#\"><i class=\"fa fa-twitter\"></i></a></li>
<li><a href=\"#\"><i class=\"fa fa-pinterest\"></i></a></li>
<li><a href=\"#\"><i class=\"fa fa-instagram\"></i></a></li>
<li><a href=\"#\"><i class=\"fa fa-xing\"></i></a></li>
<li><a href=\"#\"><i class=\"fa fa-youtube\"></i></a></li>
<li><a href=\"#\"><i class=\"fa fa-dribbble\"></i></a></li>
<li><a href=\"#\"><i class=\"fa fa-vimeo\"></i></a></li>
<li><a href=\"#\"><i class=\"fa fa-vk\"></i></a></li>
<li><a href=\"#\"><i class=\"fa fa-soundcloud\"></i></a></li>",
						"type" 		=> "textarea");	
 
				
	}//End function: of_options()
}//End chack if function exists: of_options()
?>
