<?php
// ------------------------------------------------ 
// ---------- Options Framework Theme -------------
// ------------------------------------------------
 include( get_template_directory() . '/admin/index.php');

// ---------------------------------------------- 
// --------------- Load Custom Widgets ----------
// ----------------------------------------------
 include( get_template_directory() . '/functions/widgets.php');
 include( get_template_directory() . '/functions/widgets/widget-articles-categories.php');
 include( get_template_directory() . '/functions/widgets/widget-articles-tags.php');
 include( get_template_directory() . '/functions/widgets/widget-latest-articles.php');
 include( get_template_directory() . '/functions/widgets/widget-popular-articles.php');
 include( get_template_directory() . '/functions/widgets/widget-popular-articles-likes.php');
 include( get_template_directory() . '/functions/widgets/widget-banner-300.php');
 include( get_template_directory() . '/functions/widgets/widget-top-tags.php');


// ----------------------------------------------
// --------------- Load Custom ------------------
// ---------------------------------------------- 
 include( get_template_directory() . '/functions/custom/comments.php');
  

// ----------------------------------------------
// ------ Content width -------------------------
// ----------------------------------------------
if ( ! isset( $content_width ) ) $content_width = 830;


// ----------------------------------------------
// ------ Theme set up --------------------------
// ----------------------------------------------
add_action( 'after_setup_theme', 'kickcube_wp_theme_setup' );
if ( !function_exists('kickcube_wp_theme_setup') ) {

    function kickcube_wp_theme_setup() {
    
        // Register navigation menu
        register_nav_menus(
            array(
                'kickcube_wp_primary-menu' => esc_html__( 'Header Navigation', 'kickcube-wp' )
            )
        );
        
        // Localization support
        load_theme_textdomain( 'kickcube-wp', get_template_directory() . '/languages' );
        
        // Feed Links
        add_theme_support( 'automatic-feed-links' );
        
        // Title Tag
        add_theme_support( 'title-tag' );

        // Post thumbnails
        add_theme_support( 'post-thumbnails' );
        add_image_size( 'kickcube_wp_thumbnail-featured-big', 625, 335, true ); // Featured Articles Big thumbnails
        add_image_size( 'kickcube_wp_thumbnail-featured-small', 300, 200, true ); // Featured Articles small thumbnails
        add_image_size( 'kickcube_wp_thumbnail-blog', 235, '', true ); // Default Blog Articles
        add_image_size( 'kickcube_wp_thumbnail-small', 235, 132, true ); // Default Blog Articles (small)
        add_image_size( 'kickcube_wp_thumbnail-widget-small', 130, 78, true ); // Sidebar Widget thumbnails small
        add_image_size( 'kickcube_wp_thumbnail-gallery-single', 250, 250, true ); // Gallery thumbnails
        add_image_size( 'kickcube_wp_thumbnail-single-image', 950, 509, true ); // Single thumbnails

    }
}


// ----------------------------------------------
// ------------ JavaScrips Files ----------------
// ----------------------------------------------
if( !function_exists( 'kickcube_wp_enqueue_scripts' ) ) {
    function kickcube_wp_enqueue_scripts() {

        // Register css files
        wp_enqueue_style( 'kickcube_wp_style', get_stylesheet_uri(), '', '3.2');
        wp_enqueue_style( 'kickcube_wp_default', get_template_directory_uri() . '/css/colors/default.css', array( 'kickcube_wp_style' ), '3.2' );
        wp_enqueue_style( 'kickcube_wp_responsive', get_template_directory_uri() . '/css/responsive.css', array( 'kickcube_wp_style' ), '3.2' );
        wp_enqueue_style( 'kickcube_wp_font-awesome', get_template_directory_uri() . '/css/font-awesome-4.7.0/css/font-awesome.min.css', array(), '4.7.0' );
        wp_enqueue_style( 'jquery-owl-carousel', get_template_directory_uri() . '/owl-carousel/owl.carousel.css', array(), '2.0.0' );

        // Register scripts
        wp_enqueue_script( 'kickcube_wp_customjs', get_template_directory_uri() . '/js/custom.js', array( 'jquery' ), '1.1', true );
        wp_enqueue_script( 'kickcube_wp_mainfiles',  get_template_directory_uri() . '/js/jquery.main.js', array( 'jquery' ), '1.0', true );
        wp_enqueue_script( 'jquery-owl-carousel', get_template_directory_uri() . '/owl-carousel/owl.carousel.min.js', array( 'jquery' ), '2.0', true );

        // Load Comments & .js files.
        if( is_single() ) {
            wp_enqueue_style( 'jquery-fancybox', get_template_directory_uri() . '/fancybox/jquery.fancybox-1.3.4.css', array(), '1.34' );    
            wp_enqueue_script( 'jquery-fancybox', get_template_directory_uri() . '/fancybox/jquery.fancybox-1.3.4.pack.js', array( 'jquery' ), '1.34', true );
            wp_enqueue_script( 'comment-reply' );
         }


// ----------------------------------------------
// Register Fonts: https://gist.github.com/kailoon/e2dc2a04a8bd5034682c
// ----------------------------------------------
        function kickcube_wp_fonts_url() {
            $kickcube_wp_font_url_google = '';
            
            /*
            Translators: If there are characters in your language that are not supported
            by chosen font(s), translate this to 'off'. Do not translate into your own language.
             */
            if ( 'off' !== _x( 'on', 'Google font: on or off', 'kickcube-wp' ) ) {
                $kickcube_wp_font_url_google = add_query_arg( 'family', urlencode( 'Roboto:400,300,500,700' ), "//fonts.googleapis.com/css" );
            }
            return $kickcube_wp_font_url_google;
        }
        /* -- Enqueue styles -- */
        wp_enqueue_style( 'kickcube_wp_fonts', kickcube_wp_fonts_url(), array(), '1.0.0' );
  

    }
    add_action('wp_enqueue_scripts', 'kickcube_wp_enqueue_scripts');
}


// ------------------------------------------------ 
// ---- Add  rel attributes to embedded images ----
// ------------------------------------------------ 
function kickcube_wp_insert_rel($content) {
    $pattern = '/<a(.*?)href="(.*?).(bmp|gif|jpeg|jpg|png)"(.*?)>/i';
    $replacement = '<a$1href="$2.$3" class=\'wp-img-bg-off\' rel=\'mygallery\'$4>';
    $content = preg_replace( $pattern, $replacement, $content );
    return $content;
}
add_filter( 'the_content', 'kickcube_wp_insert_rel' );


// ------------------------------------------------ 
// --- Pagination class/style for entry articles --
// ------------------------------------------------ 
function kickcube_wp_custom_nextpage_links($defaults) {
$args = array(
'before' => '<div class="my-paginated-posts"><p>' . '<span>',
'after' => '</span></p></div>',
);
$r = wp_parse_args($args, $defaults);
return $r;
}
add_filter('wp_link_pages_args','kickcube_wp_custom_nextpage_links');


// ------------------------------------------------ 
// ------------ Nr of Topics for Tags -------------
// ------------------------------------------------  
add_filter ( 'wp_tag_cloud', 'kickcube_wp_tag_cloud_count' );
function kickcube_wp_tag_cloud_count( $return ) {
return preg_replace('#(<a[^>]+\')(\d+)( topics?\'[^>]*>)([^<]*)<#imsU','$1$2$3$4 <span>($2) '. esc_html__('items', 'kickcube-wp') .'</span><',$return);
}


// ------------------------------------------------ 
// ------------ Nr of Topics for Categories -------------
// ------------------------------------------------  
add_filter('wp_list_categories', 'kickcube_wp_cat_count_span');
function kickcube_wp_cat_count_span($links) {
  $links = str_replace('</a> (', '</a> <span>', $links);
  $links = str_replace(')', ' '. esc_html__('items', 'kickcube-wp') .'</span>', $links);
  return $links;
}


// ------------------------------------------------ 
// --- Restrict Content Pro - lock design ---------
// ------------------------------------------------ 
function kickcube_wp_rcp_lock() {
  if( function_exists( 'rcp_is_active' ) ) {
    if( rcp_user_can_access( get_current_user_id(), get_the_ID() ) ) {
        // user can access 
    } else {
        echo '<span><i class="fa fa-lock"></i></span>';
    }
  } // check if function exists
}


// ------------------------------------------------ 
// --------------- Posts Time Ago -----------------
// ------------------------------------------------  
function kickcube_wp_time_ago( $type = 'post' ) {
    $d = 'comment' == $type ? 'get_comment_time' : 'get_post_time';
    return human_time_diff($d('U'), current_time('timestamp')) . " ";
}


// ----------------------------------------------
// ---------- excerpt length adjust -------------
// ----------------------------------------------
function kickcube_wp_excerpt($str, $length, $minword = 3)
{
    $sub = '';
    $len = 0;
    
    foreach (explode(' ', $str) as $word)
    {
        $part = (($sub != '') ? ' ' : '') . $word;
        $sub .= $part;
        $len += strlen($part);
        
        if (strlen($word) > $minword && strlen($sub) >= $length)
        {
            break;
        }
    }
    
    return $sub . (($len < strlen($str)) ? ' ..' : '');
}


// ------------------------------------------------ 
// --- Characters limit for title -----------------
// ------------------------------------------------ 
function kickcube_wp_the_title($length, $replacer = ' ..') {
    $string = get_the_title();
    if( mb_strlen( $string ) > $length ) {
        $string = mb_substr( $string, 0, $length-3 );
        echo $string . $replacer;
    } else echo $string;
}


// ------------------------------------------------ 
// ------------ Meta Box --------------------------
// ------------------------------------------------

add_filter( 'rwmb_meta_boxes', 'kickcube_wp_register_meta_boxes' );
function kickcube_wp_register_meta_boxes( $meta_boxes )
{

// 1st meta box
$meta_boxes[] = array(
    'id' => 'standard',
    'title' => esc_html__( 'Article Page Options', 'kickcube-wp' ),
    'context' => 'normal',
    'priority' => 'high',
    'autosave' => true,

    // Article Options
    'fields' => array(

        // SoundCloud
        array(
            // Field name - Will be used as label
            'name'  => esc_html__( 'SoundCloud', 'kickcube-wp' ),
            // Field ID, i.e. the meta key
            'id'    => "kickcube_wp_soundcloud",
            // Field description (optional)
            'desc'  => esc_html__( 'Add SoundCloud Embed code here', 'kickcube-wp' ),
            'type'  => 'textarea',
            // Default value (optional)
            'std'   => esc_html__( '', 'kickcube-wp' ),
            // CLONES: Add to make the field cloneable (i.e. have multiple value)
            'clone' => false,
        ),
        
        // TEXT
        array(
            // Field name - Will be used as label
            'name'  => esc_html__( 'Video Youtube', 'kickcube-wp' ),
            // Field ID, i.e. the meta key
            'id'    => "kickcube_wp_youtube",
            // Field description (optional)
            'desc'  => esc_html__( 'Add Youtube code ex: bZ32vp6P_b4', 'kickcube-wp' ),
            'type'  => 'text',
            // Default value (optional)
            'std'   => esc_html__( '', 'kickcube-wp' ),
            // CLONES: Add to make the field cloneable (i.e. have multiple value)
            'clone' => false,
        ),
 

    // Vimeo
        // TEXT
        array(
            // Field name - Will be used as label
            'name'  => esc_html__( 'Video Vimeo', 'kickcube-wp' ),
            // Field ID, i.e. the meta key
            'id'    => "kickcube_wp_vimeo",
            // Field description (optional)
            'desc'  => esc_html__( 'Add Vimeo code ex: 7449107', 'kickcube-wp' ),
            'type'  => 'text',
            // Default value (optional)
            'std'   => esc_html__( '', 'kickcube-wp' ),
            // CLONES: Add to make the field cloneable (i.e. have multiple value)
            'clone' => false,
        ),

    // Gallery
        // IMAGE UPLOAD
        array(
            'name' => esc_html__( 'Gallery', 'kickcube-wp' ),
            'id'   => "kickcube_wp_slider",
            // Field description (optional)
            'desc'  => esc_html__( 'Image with any size!', 'kickcube-wp' ),            
            'type' => 'image_advanced',
        ),

    // Hide Video Home
        // CheckBox
        array(
            'name' => esc_html__( 'Video Homepage', 'kickcube-wp' ),
            'id'   => "kickcube_wp_hidevideo",
            'desc'  => esc_html__( 'Hide Video (Youtube / Vimeo) on homepage for this article', 'kickcube-wp' ),
            'type' => 'checkbox',
        ),

    // Title top
        // CheckBox
        array(
            'name' => esc_html__( 'Title position', 'kickcube-wp' ),
            'id'   => "kickcube_wp_title_top",
            'desc'  => esc_html__( 'Move title for article page to the top', 'kickcube-wp' ),
            'type' => 'checkbox',
        ),

    ),

);


    return $meta_boxes;
}


// ------------------------------------------------ 
// ------------ Notice ----------------------------
// ------------------------------------------------
function themes_admin_notice(){
    global $pagenow;
    if ( $pagenow == 'themes.php' ) {
         echo '<div class="notice notice-info is-dismissible" style="box-shadow: 0 1px 5px rgba(0,0,0,0.2); ">
             <p><a class="button" href="https://anthemes.com/" target="_blank">Anthemes.com</a> <a class="button activate" href="https://themeforest.net/item/kickcube-membership-user-content-sharing-theme/16182069" target="_blank">KICKCUBE Theme</a> <a class="button activate" href="https://themeforest.net/item/kickcube-membership-user-content-sharing-theme/16182069/support" target="_blank">Get Support</a></p>
         </div>';
    }
}
add_action('admin_notices', 'themes_admin_notice');


// ------------------------------------------------ 
// --- One Click Demo Import (Plugin) -------------
// ------------------------------------------------ 
function kickcube_wp_plugin_intro_text( $kickcube_wp_default_text ) {
    $kickcube_wp_default_text =  /* https://wordpress.org/plugins/one-click-demo-import/faq/ the inline style is added for the demo import plugin, that is displayed via Dashboard > Appearance. */ '<div class="ocdi__intro-text" style="width:355px;">'. esc_html__( 'Please click "Import Demo Data" button only once and wait, it can take a couple of minutes.', 'kickcube-wp' ) .'</div>';?><br /><img style="width:400px; margin-bottom: 20px; border-radius: 4px;" src="<?php echo get_template_directory_uri(); ?>/screenshot.png" width="400" hieght="300" alt="img" /><br /> In the meantime, you check the <a href="https://anthemes.com/docs/kickcube/" target="_blank">help file</a> or <a href="https://anthemes.com/support/" target="_blank">get support</a>.<?php
    return $kickcube_wp_default_text;
}
add_filter( 'pt-ocdi/plugin_intro_text', 'kickcube_wp_plugin_intro_text' );

function kickcube_wp_import_files() {
    return array(
        array(
            'import_file_name'             => esc_html__( 'Main Demo', 'kickcube-wp' ),
            'local_import_file'            => trailingslashit( get_template_directory() ) . '/functions/demo/kickcube-content.xml',
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . '/functions/demo/kickcube-widgets.wie',
        ) 
    );
}
add_filter( 'pt-ocdi/import_files', 'kickcube_wp_import_files' );
add_filter( 'pt-ocdi/disable_pt_branding', '__return_true' );


// ------------------------------------------------ 
// ---------- TGM_Plugin_Activation -------------
// ------------------------------------------------ 
 include( get_template_directory() . '/functions/custom/class-tgm-plugin-activation.php');
 add_action( 'tgmpa_register', 'kickcube_wp_register_required_plugins' );

function kickcube_wp_register_required_plugins() {

    $plugins = array(

        array(
            'name'                  =>  esc_html__( 'Shortcodes', 'kickcube-wp' ), // The plugin name
            'slug'                  => 'anthemes-shortcodes', // The plugin slug (typically the folder name)
            'source'                => get_stylesheet_directory() . '/plugins/anthemes-shortcodes.zip', // The plugin source
            'required'              => false, // If false, the plugin is only 'recommended' instead of required
            'version'               => '1.2', // E.g. 1.0.0. If set, the active plugin must be this version or higher, otherwise a notice is presented
            'force_activation'      => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
            'force_deactivation'    => false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins
            'external_url'          => '', // If set, overrides default API URL and points to an external URL
            'is_callable'           => '', // If set, this callable will be be checked for availability to determine if a plugin is active.
       ),

        array(
            'name'                  => esc_html__( 'AnLikes', 'kickcube-wp' ), // The plugin name
            'slug'                  => 'anlikes', // The plugin slug (typically the folder name)
            'source'                => get_stylesheet_directory() . '/plugins/anlikes.zip', // The plugin source
            'required'              => false, // If false, the plugin is only 'recommended' instead of required
            'version'               => '', // E.g. 1.0.0. If set, the active plugin must be this version or higher, otherwise a notice is presented
            'force_activation'      => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
            'force_deactivation'    => false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins
            'external_url'          => '', // If set, overrides default API URL and points to an external URL
        ),

        array(
            'name'                  => esc_html__( 'Frontend Publishing Pro', 'kickcube-wp' ), // The plugin name
            'slug'                  => 'frontend-publishing-pro', // The plugin slug (typically the folder name)
            'source'                => get_stylesheet_directory() . '/plugins/frontend-publishing-pro.zip', // The plugin source
            'required'              => false, // If false, the plugin is only 'recommended' instead of required
            'version'               => '', // E.g. 1.0.0. If set, the active plugin must be this version or higher, otherwise a notice is presented
            'force_activation'      => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
            'force_deactivation'    => false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins
            'external_url'          => '', // If set, overrides default API URL and points to an external URL
        ),

        array(
            'name'                  => esc_html__( 'AnFields', 'kickcube-wp' ), // The plugin name
            'slug'                  => 'anfields', // The plugin slug (typically the folder name)
            'source'                => get_stylesheet_directory() . '/plugins/anfields.zip', // The plugin source
            'required'              => false, // If false, the plugin is only 'recommended' instead of required
            'version'               => '', // E.g. 1.0.0. If set, the active plugin must be this version or higher, otherwise a notice is presented
            'force_activation'      => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
            'force_deactivation'    => false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins
            'external_url'          => '', // If set, overrides default API URL and points to an external URL
        ),

        array(
            'name'                  => esc_html__( 'Meta Box', 'kickcube-wp' ),
            'slug'                  => 'meta-box',
            'required'              => true,
            'version'               => '',
        ),

        array(
            'name'                  => esc_html__( 'Hide Admin Bar', 'kickcube-wp' ),
            'slug'                  => 'hide-admin-bar',
            'required'              => false,
            'version'               => '',
        ),

        array(
            'name'                  => esc_html__( 'One Click Demo Import', 'kickcube-wp' ),
            'slug'                  => 'one-click-demo-import',
            'required'              => false,
            'version'               => '',
        ),

        array(
            'name'                  => esc_html__( 'Contact Form 7', 'kickcube-wp' ),
            'slug'                  => 'contact-form-7',
            'required'              => false,
            'version'               => '',
        ), 

        array(
            'name'                  => esc_html__( 'WP-PageNavi', 'kickcube-wp' ),
            'slug'                  => 'wp-pagenavi',
            'required'              => false,
            'version'               => '',
        ),

        array(
            'name'                  => esc_html__( 'Easy Pricing Tables', 'kickcube-wp' ),
            'slug'                  => 'easy-pricing-tables',
            'required'              => false,
            'version'               => '',
        ),

        array(
            'name'                  => esc_html__( 'Nav Menu Roles', 'kickcube-wp' ),
            'slug'                  => 'nav-menu-roles',
            'required'              => false,
            'version'               => '',
        ), 

    );

    $config = array(
        'id'           => 'tgmpa',                 // Unique ID for hashing notices for multiple instances of TGMPA.
        'default_path' => '',                      // Default absolute path to bundled plugins.
        'menu'         => 'tgmpa-install-plugins', // Menu slug.
        'parent_slug'  => 'themes.php',            // Parent menu slug.
        'capability'   => 'edit_theme_options',    // Capability needed to view plugin install page, should be a capability associated with the parent menu used.
        'has_notices'  => true,                    // Show admin notices or not.
        'dismissable'  => true,                    // If false, a user cannot dismiss the nag message.
        'dismiss_msg'  => '',                      // If 'dismissable' is false, this message will be output at top of nag.
        'is_automatic' => false,                   // Automatically activate plugins after installation or not.
        'message'      => '',                      // Message to output right before the plugins table.

    );

    tgmpa( $plugins, $config );

}

?>