<?php
// ------------------------------------------------------
// ------ Posts by Categories  --------------------------
// ------ by AnThemes.net -------------------------------
//        http://themeforest.net/user/An-Themes/portfolio
//        http://themeforest.net/user/An-Themes/follow 
// ------------------------------------------------------

class kickcube_wp_article_cat extends WP_Widget {
      function __construct() {
      $widget_ops = array('description' => esc_html__('Posts by Categories', 'kickcube-wp'));
      parent::__construct(false, $name = ''. esc_html__('Custom: Posts by Categories', 'kickcube-wp') .'',$widget_ops);  
    }

    function widget($args, $instance) {   
      extract( $args );
      $number = $instance['number'];
      $title = $instance['title'];
      $category = $instance['category'];
?>

<?php echo $before_widget; ?>
<?php if ( $title ) echo $before_title . esc_attr($title) . $after_title; ?>

<ul class="article_list">
<?php // The Query 
query_posts( array( 'post_type' => 'post',  'ignore_sticky_posts' => 1, 'cat' => esc_attr($category), 'posts_per_page' => esc_attr($number)) ); ?>
<?php if (have_posts()) : while (have_posts()) : the_post(); ?>  

    <li>                             
      <?php if ( has_post_thumbnail()) { ?>
        <a href="<?php the_permalink(); ?>"> <?php echo the_post_thumbnail('kickcube_wp_thumbnail-widget-small'); ?></a>
      <?php } else { ?> 
        <div class="no-image"></div>
      <?php } ?>

      <div class="content-il">
        <a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><h3> <?php kickcube_wp_the_title( 35, ' ..'); ?> <?php kickcube_wp_rcp_lock(); ?></h3></a>
        <div class="an-display-time"> <i class="fa fa-clock-o"></i> <?php echo get_the_date(); ?></div>
      </div>
    </li>

<?php endwhile; endif; 
// Reset Query
wp_reset_query(); ?>    
</ul>

<?php echo $after_widget; ?> 


<?php
    }
    function update($new_instance, $old_instance) {       
    $instance = $old_instance;
    $instance['title'] = strip_tags($new_instance['title']);
    $instance['number']    = is_numeric( $new_instance['number'] ) ? intval( $new_instance['number'] ) : 5;
    $instance['category']  = wp_strip_all_tags( $new_instance['category'] );
    return $instance;
    }

  function form( $instance ) {
    $defaults  = array( 'title' => '', 'category' => '', 'number' => 5 );
    $instance  = wp_parse_args( ( array ) $instance, $defaults );
    $title     = $instance['title'];
    $category  = $instance['category'];
    $number    = $instance['number'];
?>


        <p>
          <label for="<?php echo $this->get_field_id('title'); ?>"><?php esc_html_e( 'Title:', 'kickcube-wp' ); ?></label> 
          <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php if( isset($instance['title']) ) echo esc_attr($instance['title']); ?>" />
        </p>

        <p>
          <label for="<?php echo $this->get_field_id('number'); ?>"><?php esc_html_e( 'Number of Posts:', 'kickcube-wp' ); ?></label>      
          <input class="widefat" id="<?php echo $this->get_field_id('number'); ?>" name="<?php echo $this->get_field_name('number'); ?>" type="text" value="<?php if( isset($instance['number']) ) echo esc_attr($instance['number']); ?>" />
        </p> 
         
        <p>
          <label for="<?php echo $this->get_field_id('category'); ?>"><?php esc_html_e( 'Category:', 'kickcube-wp' ); ?></label>      
            <?php
            wp_dropdown_categories( array(

              'show_count' => 1,
              'orderby'    => 'title',
              'hide_empty' => false,
              'name'       => $this->get_field_name( 'category' ),
              'id'         => 'rpjc_widget_cat_recent_posts_category',
              'class'      => 'widefat',
              'selected'   => $category

            ) );
            ?>
        </p> 

<?php  } }

// register widget
function kickcube_wp_article_cat_init_widget () {
    return register_widget('kickcube_wp_article_cat');
  }
add_action ('widgets_init', 'kickcube_wp_article_cat_init_widget');
?>