<?php
// ------------------------------------------------------
// ------ Recent Posts  ---------------------------
// ------ by AnThemes.net -------------------------------
//        http://themeforest.net/user/An-Themes/portfolio
//        http://themeforest.net/user/An-Themes/follow 
// ------------------------------------------------------

class kickcube_wp_recentposts extends WP_Widget {
      function __construct() {
      $widget_ops = array('description' => esc_html__('Your site\'s most recent Posts.', 'kickcube-wp'));
      parent::__construct(false, $name = ''. esc_html__('Custom: Recent Posts', 'kickcube-wp') .'',$widget_ops); 
    }


    function widget($args, $instance) {   
      extract( $args );
      $number = $instance['number'];
      $title = $instance['title'];
?>

<?php echo $before_widget; ?>
<?php if ( $title ) echo $before_title . esc_attr($title) . $after_title; ?>

<ul class="article_list">
<?php // The Query
$kickcube_wp_latest = new WP_Query(array('post_type' => 'post', 'ignore_sticky_posts' => 1, 'posts_per_page' => esc_attr($number) )); // number to display more / less ?>
<?php while ( $kickcube_wp_latest->have_posts() ) : $kickcube_wp_latest->the_post(); ?>
 
    <li>                             
      <?php if ( has_post_thumbnail()) { ?>
        <a href="<?php the_permalink(); ?>"> <?php echo the_post_thumbnail('kickcube_wp_thumbnail-widget-small'); ?></a>
      <?php } else { ?> 
        <div class="no-image"></div>
      <?php } ?>

      <div class="content-il">
        <a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><h3> <?php kickcube_wp_the_title( 35, ' ..'); ?> <?php kickcube_wp_rcp_lock(); ?></h3></a>
        <div class="an-display-time"> <i class="fa fa-clock-o"></i> <?php echo get_the_date(); ?></div>
      </div>
    </li>

<?php endwhile; 
/* Restore original Post Data */
wp_reset_postdata(); ?>
</ul>


<?php echo $after_widget; ?> 


<?php
    }
    function update($new_instance, $old_instance) {       
    $instance = $old_instance;
    $instance['title'] = strip_tags($new_instance['title']);
    $instance['number'] = strip_tags($new_instance['number']);
    return $instance;
    }

  function form( $instance ) {
    $instance = wp_parse_args( (array) $instance );
?>


        <p>
          <label for="<?php echo $this->get_field_id('title'); ?>"><?php esc_html_e( 'Title:', 'kickcube-wp' ); ?></label> 
          <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php if( isset($instance['title']) ) echo esc_attr($instance['title']); ?>" />
        </p>

         <p>
          <label for="<?php echo $this->get_field_id('number'); ?>"><?php esc_html_e( 'Number of Posts:', 'kickcube-wp' ); ?></label>      
          <input class="widefat" id="<?php echo $this->get_field_id('number'); ?>" name="<?php echo $this->get_field_name('number'); ?>" type="text" value="<?php if( isset($instance['number']) ) echo esc_attr($instance['number']); ?>" />
         </p> 

<?php  } }

// register widget
function kickcube_wp_recentposts_init_widget () {
    return register_widget('kickcube_wp_recentposts');
  }
add_action ('widgets_init', 'kickcube_wp_recentposts_init_widget');
?>