<!DOCTYPE HTML>
<html <?php language_attributes(); ?>>
<head>
<?php
    // Logo
    $kickcube_wp_logo = get_theme_mod('kickcube_wp_logo');
    if (empty($kickcube_wp_logo)) { $kickcube_wp_logo = get_template_directory_uri().'/images/logo.png'; }

    // header icons
    $kickcube_wp_top_icons = get_theme_mod('kickcube_wp_top_icons');

    // Display Featured Articles (Yes/No)
    $kickcube_wp_display_featured_articles = get_theme_mod('kickcube_wp_display_featured_articles');
    if (empty($kickcube_wp_display_featured_articles)) { $kickcube_wp_display_featured_articles = 'No'; }    

    // Display Random Articles (Yes/No)
    $kickcube_wp_display_random_articles = get_theme_mod('kickcube_wp_display_random_articles');
    if (empty($kickcube_wp_display_random_articles)) { $kickcube_wp_display_random_articles = 'No'; }

    // Homepage Wider
    $kickcube_wp_homewider = get_theme_mod('kickcube_wp_homewider');
    if (empty($kickcube_wp_homewider)) { $kickcube_wp_homewider = '0'; }

    // Page Preloader
    $kickcube_wp_page_preloader = get_theme_mod('kickcube_wp_page_preloader');
    if (empty($kickcube_wp_page_preloader)) { $kickcube_wp_page_preloader = '0'; }    
?>
	<!-- Meta Tags -->
	<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />

    <!-- Mobile Device Meta -->
    <meta name='viewport' content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no, minimal-ui' /> 
    
    <!-- Custom style -->
    <?php echo esc_url(get_template_part('custom-style-min')); ?>

    <!-- Theme output -->
    <?php wp_head(); ?> 
</head>
<body <?php if ($kickcube_wp_homewider == '1') { ?> id="wider-content" <?php } ?> <?php body_class(); ?>>
<?php if ($kickcube_wp_page_preloader == '1') { ?><div id="pre-div"><div id="loader"></div></div> <?php } ?>
<?php wp_body_open(); ?>


<!-- Begin Header -->
<header>
    <div class="main-menu">
        <div class="stickytop">
         <div class="wrap">
            <!-- Logo -->    
            <a href="<?php echo esc_url(home_url( '/' )); ?>"><img class="logo" src="<?php echo esc_url($kickcube_wp_logo); ?>" alt="<?php bloginfo('sitename'); ?>" /></a>

            <ul class="top-social">
                <?php if (!empty($kickcube_wp_top_icons)) { ?>
                   <?php echo wp_kses_post(stripslashes($kickcube_wp_top_icons)); ?>
                <?php } ?>
                <li class="sbtn"><a role="button"><i id="myBtn" class="fa fa-search"></i></a></li>
            </ul>  
            
            <!-- Navigation Menu -->
            <?php if ( has_nav_menu( 'kickcube_wp_primary-menu' ) ) : // Check if there's a menu assigned to the 'Header Navigation' location. ?>
            <nav class="nav-kickcube_wp">
                <?php wp_nav_menu( array( 'container' => false, 'items_wrap' => '<ul>%3$s</ul>', 'theme_location' =>   'kickcube_wp_primary-menu' ) ); ?>
            </nav><!-- end .nav-kickcube_wp -->
            <?php endif; // End check for menu. ?>
         </div><!-- end .wrap -->
        </div><!-- end .stickytop -->
     </div><!-- end .main-menu --> 
</header><!-- end #header -->


<?php if ($kickcube_wp_display_random_articles == 'Yes') { ?> 
<?php if ( ! is_singular() || is_page_template( 'template-home.php' ) ) { ?>
    <!-- Random Articles Slider -->
    <div id="random-slider">       
        <?php $kickcube_wp_randomposts = new WP_Query(array('orderby' => 'rand', 'ignore_sticky_posts' => 1, 'posts_per_page' => esc_attr('12') )); // number to display more / less ?>
        <?php while ($kickcube_wp_randomposts->have_posts()) : $kickcube_wp_randomposts->the_post(); ?> 
 
        <div class="item">
          <?php if ( has_post_thumbnail()) { ?>
            <a href="<?php the_permalink(); ?>"><?php the_post_thumbnail('kickcube_wp_thumbnail-small', array('title' => "")); ?></a>
          <?php } else { ?>
            <a href="<?php the_permalink(); ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/no-photo.png" width="235" hieght="132" alt="article image" /></a>
          <?php } ?>

          <div class="title-section">
            <div class="article-category"><?php $kickcube_wp_category = get_the_category(); if ($kickcube_wp_category) 
                { echo wp_kses_post('<a href="' . get_category_link( $kickcube_wp_category[0]->term_id ) . '">' . $kickcube_wp_category[0]->name.'</a> ');}  ?>
            </div><!-- end .article-category -->  
            <div class="clear"></div>
            <a href="<?php the_permalink(); ?>"><h3><?php kickcube_wp_the_title( 45, ' ..'); ?></h3></a>
          </div><div class="clear"></div>

          <div class="author-box">
            <div class="at-img">
              <a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>"><?php echo get_avatar( get_the_author_meta( 'user_email' ), 22 ); ?></a>
            </div>
            <div class="at-links">
              <?php the_author_posts_link(); ?><br />
              <?php if (function_exists('kickcube_wp_authorlocation')){ ?>
                <?php if(get_the_author_meta('kickcube_wp_from')) { ?><div class="at-location"><i class="fa fa-map-marker"></i> <?php kickcube_wp_authorlocation( 12, '..'); ?></div> <?php } ?>
              <?php } ?>
              <div class="at-time"><i class="fa fa-clock-o"></i> <?php echo kickcube_wp_time_ago(); ?> <?php esc_html_e('ago', 'kickcube-wp'); ?></div>
             </div>
            <div class="clear"></div>
          </div><!--  end .author-box -->  
        </div><!-- end .item -->

        <?php endwhile; 
        /* Restore original Post Data */
        wp_reset_postdata(); ?>
    </div><!-- end #random-slider -->
<?php } } ?>


<?php if( is_front_page() ) { 
if ($kickcube_wp_display_featured_articles == 'Yes') { ?>
<div class="featured-articles-content">
    <ul class="featured-articles">
    <?php  
    // Featured Tag
    $kickcube_featured_articles_tag = get_theme_mod('kickcube_featured_articles_tag');
    if (empty($kickcube_featured_articles_tag)) { $kickcube_featured_articles_tag = ''; }

    // The Query
    query_posts( array( 'post_type' => 'post', 'ignore_sticky_posts' => 1, 'category_name' => esc_attr($kickcube_featured_articles_tag), 'posts_per_page' => esc_attr('6') )); 
    if (have_posts()) : $kickcube_wp_count = esc_attr('0'); while (have_posts()) : the_post(); $kickcube_wp_count++; ?>         
        
        <?php if ($kickcube_wp_count == esc_attr('1')) : ?>
            <li <?php post_class('big img-zoom-in') ?> id="post-<?php the_ID(); ?>">
                <?php if ( has_post_thumbnail()) { ?>
                    <?php the_post_thumbnail('kickcube_wp_thumbnail-featured-big', array('title' => "")); ?>
                <?php } else { ?>
                    <a href="<?php the_permalink(); ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/no-photo.png" width="625" hieght="335" alt="article image" /></a>
                <?php } ?>
                <div class="inner-big">
                    <div class="inner-cell">
                        <div class="article-category"><?php $kickcube_wp_category = get_the_category(); if ($kickcube_wp_category) 
                            { echo wp_kses_post('<a href="' . get_category_link( $kickcube_wp_category[0]->term_id ) . '">' . $kickcube_wp_category[0]->name.'</a> ');}  ?>
                        </div><!-- end .article-category -->                          
                        <!-- Title --><a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><h2><?php the_title(); ?>
                        <?php kickcube_wp_rcp_lock(); ?></h2></a> <div class="clear"></div>
                        <!-- Date --><div class="kick-date"><i class="fa fa-clock-o"></i> <?php echo get_the_date(); ?></div><div class="clear"></div>
                    </div><!-- end .inner-cell --> 
                </div><!-- end .inner-big --> 
            </li>

            <?php elseif ($kickcube_wp_count == esc_attr('2')) : ?>
                <li <?php post_class('img-zoom-in') ?> id="post-<?php the_ID(); ?>">
                    <?php if ( has_post_thumbnail()) { ?>
                        <?php the_post_thumbnail('kickcube_wp_thumbnail-featured-small', array('title' => "")); ?>
                    <?php } else { ?>
                        <a href="<?php the_permalink(); ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/no-photo.png" width="300" hieght="200" alt="article image" /></a>
                    <?php } ?>
                    <div class="inner-small">
                        <div class="inner-cell">
                            <div class="article-category"><?php $kickcube_wp_category = get_the_category(); if ($kickcube_wp_category) 
                                { echo wp_kses_post('<a href="' . get_category_link( $kickcube_wp_category[0]->term_id ) . '">' . $kickcube_wp_category[0]->name.'</a> ');}  ?>
                            </div><!-- end .article-category -->                              
                            <!-- Title --><a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><h2><?php the_title(); ?>
                            <?php kickcube_wp_rcp_lock(); ?></h2></a> <div class="clear"></div>
                            <!-- Date --><div class="kick-date"><i class="fa fa-clock-o"></i> <?php echo get_the_date(); ?></div><div class="clear"></div>
                        </div><!-- end .inner-cell --> 
                    </div><!-- end .inner-small --> 
                </li>

            <?php elseif ($kickcube_wp_count == esc_attr('3')) : ?>
                <li <?php post_class('img-zoom-in') ?> id="post-<?php the_ID(); ?>">
                    <?php if ( has_post_thumbnail()) { ?>
                        <?php the_post_thumbnail('kickcube_wp_thumbnail-featured-small', array('title' => "")); ?>
                    <?php } else { ?>
                        <a href="<?php the_permalink(); ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/no-photo.png" width="300" hieght="200" alt="article image" /></a>
                    <?php } ?>
                    <div class="inner-small">
                        <div class="inner-cell">
                            <div class="article-category"><?php $kickcube_wp_category = get_the_category(); if ($kickcube_wp_category) 
                                { echo wp_kses_post('<a href="' . get_category_link( $kickcube_wp_category[0]->term_id ) . '">' . $kickcube_wp_category[0]->name.'</a> ');}  ?>
                            </div><!-- end .article-category -->                              
                            <!-- Title --><a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><h2><?php the_title(); ?>
                            <?php kickcube_wp_rcp_lock(); ?></h2></a> <div class="clear"></div>
                            <!-- Date --><div class="kick-date"><i class="fa fa-clock-o"></i> <?php echo get_the_date(); ?></div><div class="clear"></div>
                        </div><!-- end .inner-cell --> 
                    </div><!-- end .inner-small --> 
                </li>

            <?php elseif ($kickcube_wp_count == esc_attr('4')) : ?>
                <li <?php post_class('big img-zoom-in') ?> id="post-<?php the_ID(); ?>">
                    <?php if ( has_post_thumbnail()) { ?>
                        <?php the_post_thumbnail('kickcube_wp_thumbnail-featured-big', array('title' => "")); ?>
                    <?php } else { ?>
                        <a href="<?php the_permalink(); ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/no-photo.png" width="625" hieght="335" alt="article image" /></a>
                    <?php } ?>
                    <div class="inner-big">
                        <div class="inner-cell">
                            <div class="article-category"><?php $kickcube_wp_category = get_the_category(); if ($kickcube_wp_category) 
                                { echo wp_kses_post('<a href="' . get_category_link( $kickcube_wp_category[0]->term_id ) . '">' . $kickcube_wp_category[0]->name.'</a> ');}  ?>
                            </div><!-- end .article-category -->                              
                            <!-- Title --><a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><h2><?php the_title(); ?>
                            <?php kickcube_wp_rcp_lock(); ?></h2></a> <div class="clear"></div>
                            <!-- Date --><div class="kick-date"><i class="fa fa-clock-o"></i> <?php echo get_the_date(); ?></div><div class="clear"></div>
                        </div><!-- end .inner-cell --> 
                    </div><!-- end .inner-big --> 
                </li>

            <?php elseif ($kickcube_wp_count == esc_attr('5')) : ?>
                <li <?php post_class('smallleft img-zoom-in') ?> id="post-<?php the_ID(); ?>">
                    <?php if ( has_post_thumbnail()) { ?>
                        <?php the_post_thumbnail('kickcube_wp_thumbnail-featured-small', array('title' => "")); ?>
                    <?php } else { ?>
                        <a href="<?php the_permalink(); ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/no-photo.png" width="300" hieght="200" alt="article image" /></a>
                    <?php } ?>
                    <div class="inner-small">
                        <div class="inner-cell">
                            <div class="article-category"><?php $kickcube_wp_category = get_the_category(); if ($kickcube_wp_category) 
                                { echo wp_kses_post('<a href="' . get_category_link( $kickcube_wp_category[0]->term_id ) . '">' . $kickcube_wp_category[0]->name.'</a> ');}  ?>
                            </div><!-- end .article-category -->                              
                            <!-- Title --><a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><h2><?php the_title(); ?>
                            <?php kickcube_wp_rcp_lock(); ?></h2></a> <div class="clear"></div>
                            <!-- Date --><div class="kick-date"><i class="fa fa-clock-o"></i> <?php echo get_the_date(); ?></div><div class="clear"></div>
                        </div><!-- end .inner-cell --> 
                    </div><!-- end .inner-small --> 
                </li>

            <?php elseif ($kickcube_wp_count == esc_attr('6')) : ?>
                <li <?php post_class('smallright img-zoom-in') ?> id="post-<?php the_ID(); ?>">
                    <?php if ( has_post_thumbnail()) { ?>
                        <?php the_post_thumbnail('kickcube_wp_thumbnail-featured-small', array('title' => "")); ?>
                    <?php } else { ?>
                        <a href="<?php the_permalink(); ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/no-photo.png" width="300" hieght="200" alt="article image" /></a>
                    <?php } ?>
                    <div class="inner-small">
                        <div class="inner-cell">
                            <div class="article-category"><?php $kickcube_wp_category = get_the_category(); if ($kickcube_wp_category) 
                                { echo wp_kses_post('<a href="' . get_category_link( $kickcube_wp_category[0]->term_id ) . '">' . $kickcube_wp_category[0]->name.'</a> ');}  ?>
                            </div><!-- end .article-category -->                              
                            <!-- Title --><a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><h2><?php the_title(); ?>
                            <?php kickcube_wp_rcp_lock(); ?></h2></a> <div class="clear"></div>
                            <!-- Date --><div class="kick-date"><i class="fa fa-clock-o"></i> <?php echo get_the_date(); ?></div><div class="clear"></div>
                        </div><!-- end .inner-cell --> 
                    </div><!-- end .inner-small --> 
                </li>

        <?php endif; ?>

    <?php endwhile; endif; 
    // Reset Query
    wp_reset_query(); ?>    
    </ul>
    <div class="clear"></div>
</div>
<?php } } // if is_front_page ?>



<?php
    // Responsive AD Area Option to display (Yes/No)
    $kickcube_wp_display_adarea = get_theme_mod('kickcube_wp_display_adarea');
    if (empty($kickcube_wp_display_adarea)) { $kickcube_wp_display_adarea = 'Yes'; }

    // Responsive AD Area
    $kickcube_wp_headertop = get_theme_mod('kickcube_wp_headertop');

if ($kickcube_wp_display_adarea == 'Yes') { ?>
<div class="responsive-area">
      <?php echo stripslashes($kickcube_wp_headertop); ?>
</div>
<?php } ?>



<!-- The Modal for Search -->
<div id="myModal" class="modal">
  <!-- Search Modal content -->
  <div class="modal-content">
        <span class="close">×</span>
        <!-- search form get_search_form(); -->
        <form id="searchform" name="searchform" method="get" action="<?php echo esc_url( home_url( '/' ) ); ?>">
            <input placeholder="<?php esc_html_e("To search type and hit enter", 'kickcube-wp'); ?>" type="text" name="s" id="search" autocomplete="off" />
            <input type="hidden" id="searchsubmit" />
        </form><!-- end #searchform -->
  </div><!-- end .modal-content -->
</div><!-- end #myModal -->