<?php get_header(); // add header  ?>
<?php
    // Pagination or Infinite Scroll
    $kickcube_home_pag_select = get_theme_mod('kickcube_home_pag_select');
    if (empty($kickcube_home_pag_select)) { $kickcube_home_pag_select = 'Infinite Scroll'; }
?>

<!-- Begin wrap middle -->
<div class="wrap-middle">

        <?php if (is_category()) { ?> 
            <h3 class="index-title"><?php esc_html_e( 'All posts in:', 'kickcube-wp' ); ?> <?php single_cat_title(''); ?></h3>
            <div class="cat-info"><?php echo category_description(); ?></div>
        <?php } elseif (is_tag()) { ?>
            <h3 class="index-title"><?php esc_html_e( 'All posts tagged in:', 'kickcube-wp' ); ?> <?php single_tag_title(''); ?></h3>
            <div class="cat-info"><?php echo tag_description(); ?></div>
        <?php } elseif (is_search()) { ?>
            <h3 class="index-title"><?php printf( esc_html__( 'Search Results for: %s', 'kickcube-wp' ), '' . get_search_query() . '' ); ?></h3>
        <?php } elseif (is_author()) { ?> 
            <h3 class="index-title"><?php esc_html_e( 'All posts by:', 'kickcube-wp' ); ?> <?php the_author(); ?></h3>
        <?php } elseif (is_404()) { ?> 
            <h3 class="index-title"><?php esc_html_e('Error 404 - Not Found', 'kickcube-wp'); ?></h3><br />
            <?php esc_html_e('Sorry, but you are looking for something that isn\'t here.', 'kickcube-wp'); ?>
        <?php } ?><div class="clear"></div>


        <ul id="ms-container" class="modern-articles js-masonry">
        <?php if (have_posts()) : while (have_posts()) : the_post(); ?>

            <?php // Custom Fields
            $postid = $wp_query->post->ID;  
            if ( get_post_meta($postid, 'kickcube_source', true) ) { ?> 
            <li <?php post_class('ms-item outpost') ?> id="post-<?php the_ID(); ?>">
                <?php } else { ?>
            <li <?php post_class('ms-item') ?> id="post-<?php the_ID(); ?>">
            <?php } ?>

                <div class="content-art">
                    <?php if (is_sticky()) { ?><div class="sticky-art"><i class="fa fa-bookmark"></i></div><?php } ?>
                    <!-- Title --><?php $postid = $wp_query->post->ID; if ( get_post_meta($postid, 'kickcube_source', true) ) { ?><a target="_blank" href="<?php echo get_post_meta($postid, 'kickcube_source', true); ?>"><?php } else { ?><a href="<?php the_permalink(); ?>"><?php } ?><h2><?php the_title(); ?>
                    <?php kickcube_wp_rcp_lock(); ?></h2></a><div class="clear"></div>
                    <!-- Likes --><div class="kick-likes"><?php if (function_exists('thumbs_rating_getlink')) { echo thumbs_rating_getlink(); } ?></div>
                    <!-- Date --><div class="kick-date"><i class="fa fa-clock-o"></i> <?php echo get_the_date(); ?></div><div class="clear"></div>
                    <p><?php echo kickcube_wp_excerpt(strip_tags(strip_shortcodes(get_the_excerpt())), 100); ?></p>
                    <!-- ReadMore --><a class="kick-readmore" <?php $postid = $wp_query->post->ID; if ( get_post_meta($postid, 'kickcube_source', true) ) { ?> target="_blank" href="<?php echo get_post_meta($postid, 'kickcube_source', true); ?>"><?php } else { ?> href="<?php the_permalink(); ?>"> <?php } ?><?php esc_html_e('Keep reading', 'kickcube-wp'); ?> <i class="fa fa-long-arrow-right"></i></a>
                </div><!-- end .content-art -->

            <?php // Custom Fields
            $postid = $wp_query->post->ID;  
            if ( get_post_meta($postid, 'kickcube_embed', true) ) { ?> 
            <div class="kickcube-home-iframe"><?php echo get_post_meta($postid, 'kickcube_embed', true); ?></div>
            <?php } else { ?>
            
            <?php if ( function_exists( 'rwmb_meta' ) ) {  
            // If Meta Box plugin is activate ?>
                <?php
                $kickcube_wp_youtubecode = rwmb_meta('kickcube_wp_youtube', true );
                $kickcube_wp_vimeocode = rwmb_meta('kickcube_wp_vimeo', true );
                $kickcube_wp_hidevideo = rwmb_meta('kickcube_wp_hidevideo', true );
                $kickcube_wp_soundcloud = rwmb_meta('kickcube_wp_soundcloud', true );
                ?> 

                <?php if(!empty($kickcube_wp_soundcloud)) { ?>
                    <!-- #### Soundcloud #### -->
                    <?php echo stripslashes_deep($kickcube_wp_soundcloud); ?>
                <?php } ?>

                <?php if(!empty($kickcube_wp_hidevideo)) { } else { ?>
                    <?php if(!empty($kickcube_wp_youtubecode)) { ?>
                        <!-- #### Youtube video #### -->
                        <iframe width="100%" height="130" src="//www.youtube.com/embed/<?php echo esc_html($kickcube_wp_youtubecode); ?>?wmode=transparent&amp;showinfo=0" frameborder="0" allowfullscreen></iframe>
                    <?php } ?>
                <?php } ?>

                <?php if(!empty($kickcube_wp_hidevideo)) { } else { ?>
                    <?php if(!empty($kickcube_wp_vimeocode)) { ?>
                        <!-- #### Vimeo video #### -->
                        <iframe src="//player.vimeo.com/video/<?php echo esc_html($kickcube_wp_vimeocode); ?>?portrait=0" width="100%" height="130" frameborder="0" allowFullScreen></iframe>
                    <?php } ?>
                <?php } ?>

                <?php if(!empty($kickcube_wp_youtubecode) || !empty($kickcube_wp_vimeocode) || !empty($kickcube_wp_soundcloud)) { ?>
                <?php } elseif ( has_post_thumbnail()) { ?>
                    <?php if ( has_post_thumbnail()) { ?>
                        <a <?php $postid = $wp_query->post->ID; if ( get_post_meta($postid, 'kickcube_source', true) ) { ?> target="_blank" href="<?php echo get_post_meta($postid, 'kickcube_source', true); ?>" <?php } else { ?> href="<?php the_permalink(); ?>" <?php } ?> ><?php the_post_thumbnail('kickcube_wp_thumbnail-blog', array('title' => "")); ?></a>
                    <?php } ?>
                 <?php } ?>

                <?php if($kickcube_wp_hidevideo) { ?>
                <?php if ( has_post_thumbnail()) { ?>
                    <?php if ( has_post_thumbnail()) { ?>
                        <a <?php $postid = $wp_query->post->ID; if ( get_post_meta($postid, 'kickcube_source', true) ) { ?> target="_blank" href="<?php echo get_post_meta($postid, 'kickcube_source', true); ?>" <?php } else { ?> href="<?php the_permalink(); ?>" <?php } ?> ><?php the_post_thumbnail('kickcube_wp_thumbnail-blog', array('title' => "")); ?></a>
                    <?php } ?>
                <?php } } ?>

            <?php } else { ?> 

                <?php if ( has_post_thumbnail()) { ?>
                    <a <?php $postid = $wp_query->post->ID; if ( get_post_meta($postid, 'kickcube_source', true) ) { ?> target="_blank" href="<?php echo get_post_meta($postid, 'kickcube_source', true); ?>" <?php } else { ?> href="<?php the_permalink(); ?>" <?php } ?> ><?php the_post_thumbnail('kickcube_wp_thumbnail-blog', array('title' => "")); ?></a>
                <?php } ?>

            <?php } ?>
            <?php } // Custom Fields ?>

 
                <div class="author-box">
                    <div class="at-img">
                        <a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>"><?php echo get_avatar( get_the_author_meta( 'user_email' ), 22 ); ?></a>
                    </div>
                    <div class="at-links">
                        <?php the_author_posts_link(); ?><br />
                        <?php if (function_exists('kickcube_wp_authorlocation')){ ?>
                          <?php if(get_the_author_meta('kickcube_wp_from')) { ?><div class="at-location"><i class="fa fa-map-marker"></i> <?php kickcube_wp_authorlocation( 12, '..'); ?></div> <?php } ?>
                        <?php } ?>
                        <div class="at-time"><i class="fa fa-clock-o"></i> <?php echo kickcube_wp_time_ago(); ?> <?php esc_html_e('ago', 'kickcube-wp'); ?></div>
                    </div>
                    <div class="clear"></div>
                </div><!--  end .author-box -->                     

            </li>   

            <?php endwhile; ?>             
        </ul><!-- end .modern-articles -->

        <!-- Pagination -->
        <?php if ($kickcube_home_pag_select == 'Infinite Scroll') { ?>
            <div id="nav-below" class="pagination" style="display: none;">
                    <div class="nav-previous"><?php previous_posts_link('&lsaquo; ' . esc_html__('Newer Entries', 'kickcube-wp') . ''); ?></div>
                    <div class="nav-next"><?php next_posts_link('' . esc_html__('Older Entries', 'kickcube-wp') . ' &rsaquo;'); ?></div>
            </div>
        <?php } else { // Infinite Scroll ?>
            <div class="clear"></div>
            <?php if(function_exists('wp_pagenavi')) { ?>
            <?php wp_pagenavi(); ?>
            <?php } else { ?>
            <div class="defaultpag">
                <div class="sright"><?php next_posts_link('' . esc_html__('Older Entries', 'kickcube-wp') . ' &rsaquo;'); ?></div>
                <div class="sleft"><?php previous_posts_link('&lsaquo; ' . esc_html__('Newer Entries', 'kickcube-wp') . ''); ?></div>
            </div>
            <?php } ?>
        <?php } // Default Pagination ?>
        <!-- pagination -->

        <?php endif; ?>



 
        
<div class="clear"></div>
</div><!-- end .wrap-middle -->
<?php get_footer(); // add footer  ?>