<?php get_header(); // add header ?>  
<?php
    // Social Share Icons
    $kickcube_wp_hide_shareicons = get_theme_mod('kickcube_wp_hide_shareicons');
    if (empty($kickcube_wp_hide_shareicons)) { $kickcube_wp_hide_shareicons = 'On'; }
?>

<!-- Begin Content -->
<div class="wrap-fullwidth">

    <div class="single-content">
        <article>
            <?php if (have_posts()) : while (have_posts()) : the_post();  ?>
            <div <?php post_class('post') ?> id="post-<?php the_ID(); ?>">

            <div class="media-single-content">

            <?php // Custom Fields
            $postid = $wp_query->post->ID;  
            if ( get_post_meta($postid, 'kickcube_embed', true) ) { ?> 
            <?php get_template_part('/functions/custom/single-no-image-title'); ?>
            <div class="kickcube-entry-iframe"><?php echo get_post_meta($postid, 'kickcube_embed', true); ?></div>
            <?php } else { ?>

            <?php if ( function_exists( 'rwmb_meta' ) ) {  
            // If Meta Box plugin is activate ?>
                <?php
                $kickcube_wp_youtubecode = rwmb_meta('kickcube_wp_youtube', true );
                $kickcube_wp_vimeocode = rwmb_meta('kickcube_wp_vimeo', true );
                $kickcube_wp_images = rwmb_meta('kickcube_wp_slider', true );
                $kickcube_wp_soundcloud = rwmb_meta('kickcube_wp_soundcloud', true );
                ?> 

                <?php if(!empty($kickcube_wp_images)) { ?>
                    <!-- #### Single Gallery #### -->
                    <?php get_template_part('/functions/custom/single-no-image-title'); ?>
                    <div class="single-gallery">
                        <?php
                        $kickcube_wp_images = rwmb_meta( 'kickcube_wp_slider', 'type=image&size=kickcube_wp_thumbnail-gallery-single' );
                        foreach($kickcube_wp_images as $key =>$image)
                        { echo wp_kses_post("<a href='{$image['full_url']}' rel='mygallery'><img src='{$image['url']}'  alt='{$image['alt']}' width='{$image['width']}' height='{$image['height']}' /></a>");
                        } ?>
                    </div><!-- end .single-gallery --> 
                <?php } ?>

                <?php if(!empty($kickcube_wp_soundcloud)) { ?>
                    <!-- #### Soundcloud #### -->
                    <?php get_template_part('/functions/custom/single-no-image-title'); ?>
                    <div class="kc-sc-margin"><?php echo stripslashes_deep($kickcube_wp_soundcloud); ?></div>
                <?php } ?>

                <?php if(!empty($kickcube_wp_youtubecode)) { ?>
                    <!-- #### Youtube video #### -->
                    <?php get_template_part('/functions/custom/single-no-image-title'); ?>
                    <iframe class="single_iframe" width="950" height="460" src="//www.youtube.com/embed/<?php echo esc_html($kickcube_wp_youtubecode); ?>?wmode=transparent&amp;showinfo=0" frameborder="0" allowfullscreen></iframe>
                <?php } ?>

                <?php if(!empty($kickcube_wp_vimeocode)) { ?>
                    <!-- #### Vimeo video #### -->
                    <?php get_template_part('/functions/custom/single-no-image-title'); ?>
                    <iframe class="single_iframe" src="//player.vimeo.com/video/<?php echo esc_html($kickcube_wp_vimeocode); ?>?portrait=0" width="950" height="460" frameborder="0" allowFullScreen></iframe>
                <?php } ?>

                <?php if(!empty($kickcube_wp_images) || !empty($kickcube_wp_soundcloud) || !empty($kickcube_wp_youtubecode) || !empty($kickcube_wp_vimeocode)) { ?>
                <?php } else { ?>
                    <?php get_template_part('/functions/custom/single-image-title'); ?>
                <?php } // disable featured image ?>
 
            <?php } else { 
            // Meta Box Plugin ?>
                <?php get_template_part('/functions/custom/single-image-title'); ?>
            <?php } ?>
            <?php } // Custom Fields ?>
 
                    <div class="single-author-posts-img">
                        <a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>"><?php echo get_avatar( get_the_author_meta( 'user_email' ), 60 ); ?></a>
                    </div>

                    <ul class="single-author-links">
                        <li class="single-author-name"><i class="fa fa-user"></i> <?php the_author_posts_link(); ?></li>
                        <?php if (function_exists('kickcube_wp_authorlocation')){ ?>
                            <?php if(get_the_author_meta('kickcube_wp_from')) { ?><li class="single-author-location"><i class="fa fa-map-marker"></i> <?php echo esc_attr(the_author_meta('kickcube_wp_from')); ?> </li><?php } ?>
                        <?php } ?>
                        <li class="single-author-time"><i class="fa fa-clock-o"></i> <?php echo kickcube_wp_time_ago(); ?> <?php esc_html_e('ago', 'kickcube-wp'); ?></li>
                        <li class="single-author-likes"><?php if (function_exists('thumbs_rating_getlink')) { echo thumbs_rating_getlink(); } ?></li>
                    </ul>
            </div><!-- end .media-single-conten -->

                <div class="entry">
                    <!-- excerpt -->
                    <?php if ( !empty( $post->post_excerpt ) ) : ?> <div class="entry-excerpt"><h3> <?php echo the_excerpt(); ?> </h3></div> <?php else : false; endif;  ?> 
                    <!-- entry content -->
                    <?php the_content(''); // content ?>   
                    <?php wp_link_pages(); // content pagination ?>
                    <div class="clear"></div>

                    <div class="entry-art-ct">
                        <!-- tags -->
                        <?php $tags = get_the_tags(); 
                        if ($tags): ?>
                            <div class="ct-size"><div class="entry-btn"><?php esc_html_e( 'Article Tags:', 'kickcube-wp' ); ?></div> <?php the_tags('', ' &middot; '); // tags ?></div><div class="clear"></div>
                        <?php endif; ?>

                        <!-- categories -->
                        <?php $categories = get_the_category(); 
                        if ($categories): ?>
                            <div class="ct-size"><div class="entry-btn"><?php esc_html_e( 'Article Categories:', 'kickcube-wp' ); ?></div> <?php the_category(' &middot; '); // categories ?></div><div class="clear"></div>
                        <?php endif; ?>
                    </div><!-- end .entry-art-ct -->

                    <?php if(get_the_author_meta('description') ): ?>
                    <div class="author-meta">
                        <div class="author-meta-entry">
                            <div class="author-left-meta">
                                <a href="<?php echo esc_url(get_author_posts_url( get_the_author_meta( 'ID' ) )); ?>"><?php echo get_avatar( get_the_author_meta( 'user_email' ), 70 ); ?></a>
                            </div><!-- end .author-left-meta -->
                            <div class="author-info">
                                <strong><i class="fa fa-user"></i> <?php the_author_posts_link(); ?></strong> <i class="fa fa-home"></i> <a class="author-link" href="<?php the_author_meta('url'); ?>" target="_blank"><?php the_author_meta('url'); ?></a><br />
                                <p><?php the_author_meta('description'); ?>
                                <ul class="author-social-top">
                                <?php if (function_exists('kickcube_wp_contactmethods')){ ?>
                                    <?php if(get_the_author_meta('kickcube_wp_facebook')) { ?><li><a target="_blank" href="<?php echo esc_url(the_author_meta('kickcube_wp_facebook')); ?>"><i class="fa fa-facebook"></i></a></li><?php } ?>
                                    <?php if(get_the_author_meta('kickcube_wp_twitter')) { ?><li><a target="_blank" href="<?php echo esc_url(the_author_meta('kickcube_wp_twitter')); ?>"><i class="fa fa-twitter"></i></a></li><?php } ?>
                                    <?php if(get_the_author_meta('kickcube_wp_pinterest')) { ?><li><a target="_blank" href="<?php echo esc_url(the_author_meta('kickcube_wp_pinterest')); ?>"><i class="fa fa-pinterest"></i></a></li><?php } ?>
                                    <?php if(get_the_author_meta('kickcube_wp_google')) { ?><li><a target="_blank" href="<?php echo esc_url(the_author_meta('kickcube_wp_google')); ?>"><i class="fa fa-google-plus"></i></a></li><?php } ?>
                                    <?php if(get_the_author_meta('kickcube_wp_instagram')) { ?><li><a target="_blank" href="<?php echo esc_url(the_author_meta('kickcube_wp_instagram')); ?>"><i class="fa fa-instagram"></i></a></li><?php } ?>   
                                    <?php if(get_the_author_meta('kickcube_wp_xing')) { ?><li><a target="_blank" href="<?php echo esc_url(the_author_meta('kickcube_wp_xing')); ?>"><i class="fa fa-xing"></i></a></li><?php } ?>                                       
                                    <?php if(get_the_author_meta('kickcube_wp_youtube')) { ?><li><a target="_blank" href="<?php echo esc_url(the_author_meta('kickcube_wp_youtube')); ?>"><i class="fa fa-youtube"></i></a></li><?php } ?>   
                                    <?php if(get_the_author_meta('kickcube_wp_dribbble')) { ?><li><a target="_blank" href="<?php echo esc_url(the_author_meta('kickcube_wp_dribbble')); ?>"><i class="fa fa-dribbble"></i></a></li><?php } ?>   
                                    <?php if(get_the_author_meta('kickcube_wp_vimeo')) { ?><li><a target="_blank" href="<?php echo esc_url(the_author_meta('kickcube_wp_vimeo')); ?>"><i class="fa fa-vimeo"></i></a></li><?php } ?>   
                                    <?php if(get_the_author_meta('kickcube_wp_vk')) { ?><li><a target="_blank" href="<?php echo esc_url(the_author_meta('kickcube_wp_vk')); ?>"><i class="fa fa-vk"></i></a></li><?php } ?>   
                                    <?php if(get_the_author_meta('kickcube_wp_soundcloud')) { ?><li><a target="_blank" href="<?php echo esc_url(the_author_meta('kickcube_wp_soundcloud')); ?>"><i class="fa fa-soundcloud"></i></a></li><?php } ?>
                                <?php } ?>
                                </ul>
                                </p>
                            </div><!-- end .autor-info -->
                            <div class="clear"></div>
                        </div>
                    </div><!-- end .author-meta -->
                    <?php endif; ?>


                </div><!-- end .entry -->
                <div class="clear"></div> 
            </div><!-- end #post -->
            <?php endwhile; endif; ?>
        </article><!-- end article -->
    

        <div class="related-articles-content">
            <h3 class="title-line"><?php esc_html_e( 'Related Articles', 'kickcube-wp' ); ?></h3>
            <ul class="related-posts">
                <?php $kickcube_wp_related = get_posts( array( 'category__in' => wp_get_post_categories($post->ID), 'numberposts' => 6, 'post__not_in' => array($post->ID) ) );
                if( $kickcube_wp_related ) foreach( $kickcube_wp_related as $post ) { setup_postdata($post); ?>
                    <li <?php post_class('img-zoom-in') ?> id="post-<?php the_ID(); ?>">
                        <?php if ( has_post_thumbnail()) { ?>
                            <?php the_post_thumbnail('kickcube_wp_thumbnail-featured-small', array('title' => "")); ?>
                        <?php } else { ?>
                            <img src="<?php echo get_template_directory_uri(); ?>/images/1px.png" alt="<?php esc_html_e( 'article image', 'kickcube-wp' ); ?>" />
                        <?php } ?>
                        <div class="inner-small">
                            <div class="inner-cell">
                                <div class="article-category"><?php $kickcube_wp_category = get_the_category(); if ($kickcube_wp_category) 
                                    { echo wp_kses_post('<a href="' . get_category_link( $kickcube_wp_category[0]->term_id ) . '">' . $kickcube_wp_category[0]->name.'</a> ');}  ?>
                                </div><!-- end .article-category -->                                 
                                <!-- Title --><a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><h4><?php the_title(); ?>
                                <?php kickcube_wp_rcp_lock(); ?></h4></a> <div class="clear"></div>
                                <!-- Date --><div class="kick-date"><i class="fa fa-clock-o"></i> <?php echo get_the_date(); ?></div><div class="clear"></div>
                            </div><!-- end .inner-cell --> 
                        </div><!-- end .inner-small --> 
                    </li>
                <?php } wp_reset_postdata(); ?>
            </ul><!-- end .mv_list_small -->
        </div><!-- end .related-articles-content -->


        <!-- Comments -->
        <div id="comments" class="comments">
            <?php if (get_comments_number()==0) { } else { ?>
            <h3 class="title-line"><?php comments_number('0 ' . esc_html__('Comments', 'kickcube-wp') . '', '1 ' . esc_html__('Comment', 'kickcube-wp') . '', '% ' . esc_html__('Comments', 'kickcube-wp') . ''); ?></h3>
            <?php } ?>
            <div class="clear"></div>
            <?php comments_template('', true); // comments ?>
        </div>
        <div class="clear"></div>
    </div><!-- end .single-content -->


    <!-- Begin Sidebar (right) -->
    <?php  get_sidebar(); // add sidebar ?>
    <!-- end #sidebar  (right) -->    


    <div class="clear"></div>
</div><!-- end .wrap-fullwidth  -->

<?php if ($kickcube_wp_hide_shareicons == '1') { ?>
<div id="single-share">
    <?php $kickcube_wp_facebooklink = 'https://www.facebook.com/sharer/sharer.php?u='; ?>
    <a class="fbbutton" target="_blank" href="<?php echo esc_url($kickcube_wp_facebooklink); ?><?php the_permalink(); ?>"><i class="fa fa-facebook-official"></i></a>
    <?php $kickcube_wp_twitterlink = 'https://twitter.com/intent/tweet?text=Check%20out%20this%20article:%20'; ?>
    <a class="twbutton" target="_blank" href="<?php echo esc_url($kickcube_wp_twitterlink); ?><?php the_title(); ?>%20-%20<?php the_permalink(); ?>"><i class="fa fa-twitter"></i></a>
    <?php $articleimage = wp_get_attachment_url( get_post_thumbnail_id($post->ID)); ?>
    <?php $kickcube_wp_pinlink = 'https://pinterest.com/pin/create/button/?url='; ?>
    <a class="pinbutton" target="_blank" href="<?php echo esc_url($kickcube_wp_pinlink); ?><?php the_permalink(); ?>&amp;media=<?php echo esc_html($articleimage); ?>&amp;description=<?php the_title(); ?>"><i class="fa fa-pinterest"></i></a>
    <?php $kickcube_wp_emaillink = 'mailto:?subject='; ?>
    <a class="emailbutton" target="_blank" href="<?php echo esc_url($kickcube_wp_emaillink); ?><?php the_title(); ?>&amp;body=<?php the_permalink(); ?> <?php echo kickcube_wp_excerpt(strip_tags(strip_shortcodes(get_the_excerpt())), 140); ?>"><i class="fa fa-envelope"></i></a>
</div><!-- end #single-share -->
<?php } ?>
<?php get_footer(); // add footer  ?>