<?php 
/* 
Template Name: Template - Home
*/ 
?>
<?php get_header(); // add header  ?>
<?php
    // Pagination or Infinite Scroll
    $kickcube_home_pag_select = get_theme_mod('kickcube_home_pag_select');
    if (empty($kickcube_home_pag_select)) { $kickcube_home_pag_select = 'Infinite Scroll'; }

    // Display Top Articles by Likes (Yes/No)
    $kickcube_wp_display_toplikes_articles = get_theme_mod('kickcube_wp_display_toplikes_articles');
    if (empty($kickcube_wp_display_toplikes_articles)) { $kickcube_wp_display_toplikes_articles = 'No'; }
?>

<!-- Begin wrap middle -->
<div class="wrap-middle">

        <?php if (have_posts()) : while (have_posts()) : the_post(); 
            $thecontent = get_the_content();
            if(!empty($thecontent)) { ?>        
                <div class="home-content">
                    <div class="entry"><?php the_content(''); // content ?></div>
                </div>
            <?php } ?>
        <?php endwhile; endif; ?>
        
        <ul id="ms-container" class="modern-articles js-masonry">
            <?php
                if ( get_query_var('paged') )  {  $paged = get_query_var('paged'); } elseif ( get_query_var('page') ) { $paged = get_query_var('page'); } else { $paged = 1;  }
                // The Query
                query_posts( array( 'post_type' => 'post', 'paged' => $paged ) );
                if (have_posts()) : while (have_posts()) : the_post();
            ?>

            <?php // Custom Fields
            $postid = $wp_query->post->ID;  
            if ( get_post_meta($postid, 'kickcube_source', true) ) { ?> 
            <li <?php post_class('ms-item outpost') ?> id="post-<?php the_ID(); ?>">
                <?php } else { ?>
            <li <?php post_class('ms-item') ?> id="post-<?php the_ID(); ?>">
            <?php } ?>

                <div class="content-art">
                    <?php if (is_sticky()) { ?><div class="sticky-art"><i class="fa fa-bookmark"></i></div><?php } ?>
                    <!-- Title --><?php $postid = $wp_query->post->ID; if ( get_post_meta($postid, 'kickcube_source', true) ) { ?><a target="_blank" href="<?php echo get_post_meta($postid, 'kickcube_source', true); ?>"><?php } else { ?><a href="<?php the_permalink(); ?>"><?php } ?><h2><?php the_title(); ?>
                    <?php kickcube_wp_rcp_lock(); ?></h2></a><div class="clear"></div>
                    <!-- Likes --><div class="kick-likes"><?php if (function_exists('thumbs_rating_getlink')) { echo thumbs_rating_getlink(); } ?></div>
                    <!-- Date --><div class="kick-date"><i class="fa fa-clock-o"></i> <?php echo get_the_date(); ?></div><div class="clear"></div>
                    <p><?php echo kickcube_wp_excerpt(strip_tags(strip_shortcodes(get_the_excerpt())), 100); ?></p>
                    <!-- ReadMore --><a class="kick-readmore" <?php $postid = $wp_query->post->ID; if ( get_post_meta($postid, 'kickcube_source', true) ) { ?> target="_blank" href="<?php echo get_post_meta($postid, 'kickcube_source', true); ?>"><?php } else { ?> href="<?php the_permalink(); ?>"> <?php } ?><?php esc_html_e('Keep reading', 'kickcube-wp'); ?> <i class="fa fa-long-arrow-right"></i></a>
                </div><!-- end .content-art -->

            <?php // Custom Fields
            $postid = $wp_query->post->ID;  
            if ( get_post_meta($postid, 'kickcube_embed', true) ) { ?> 
            <div class="kickcube-home-iframe"><?php echo get_post_meta($postid, 'kickcube_embed', true); ?></div>
            <?php } else { ?>

            <?php if ( function_exists( 'rwmb_meta' ) ) {  
            // If Meta Box plugin is activate ?>
                <?php
                $kickcube_wp_youtubecode = rwmb_meta('kickcube_wp_youtube', true );
                $kickcube_wp_vimeocode = rwmb_meta('kickcube_wp_vimeo', true );
                $kickcube_wp_hidevideo = rwmb_meta('kickcube_wp_hidevideo', true );
                $kickcube_wp_soundcloud = rwmb_meta('kickcube_wp_soundcloud', true );
                ?> 

                <?php if(!empty($kickcube_wp_soundcloud)) { ?>
                    <!-- #### Soundcloud #### -->
                    <?php echo stripslashes_deep($kickcube_wp_soundcloud); ?>
                <?php } ?>

                <?php if(!empty($kickcube_wp_hidevideo)) { } else { ?>
                    <?php if(!empty($kickcube_wp_youtubecode)) { ?>
                        <!-- #### Youtube video #### -->
                        <iframe width="100%" height="130" src="//www.youtube.com/embed/<?php echo esc_html($kickcube_wp_youtubecode); ?>?wmode=transparent&amp;showinfo=0" frameborder="0" allowfullscreen></iframe>
                    <?php } ?>
                <?php } ?>

                <?php if(!empty($kickcube_wp_hidevideo)) { } else { ?>
                    <?php if(!empty($kickcube_wp_vimeocode)) { ?>
                        <!-- #### Vimeo video #### -->
                        <iframe src="//player.vimeo.com/video/<?php echo esc_html($kickcube_wp_vimeocode); ?>?portrait=0" width="100%" height="130" frameborder="0" allowFullScreen></iframe>
                    <?php } ?>
                <?php } ?>

                <?php if(!empty($kickcube_wp_youtubecode) || !empty($kickcube_wp_vimeocode) || !empty($kickcube_wp_soundcloud)) { ?>
                <?php } elseif ( has_post_thumbnail()) { ?>
                    <?php if ( has_post_thumbnail()) { ?>
                        <a <?php $postid = $wp_query->post->ID; if ( get_post_meta($postid, 'kickcube_source', true) ) { ?> target="_blank" href="<?php echo get_post_meta($postid, 'kickcube_source', true); ?>" <?php } else { ?> href="<?php the_permalink(); ?>" <?php } ?> ><?php the_post_thumbnail('kickcube_wp_thumbnail-blog', array('title' => "")); ?></a>
                    <?php } ?>
                 <?php } ?>

                <?php if($kickcube_wp_hidevideo) { ?>
                <?php if ( has_post_thumbnail()) { ?>
                    <?php if ( has_post_thumbnail()) { ?>
                        <a <?php $postid = $wp_query->post->ID; if ( get_post_meta($postid, 'kickcube_source', true) ) { ?> target="_blank" href="<?php echo get_post_meta($postid, 'kickcube_source', true); ?>" <?php } else { ?> href="<?php the_permalink(); ?>" <?php } ?> ><?php the_post_thumbnail('kickcube_wp_thumbnail-blog', array('title' => "")); ?></a>
                    <?php } ?>
                <?php } } ?>

            <?php } else { ?> 

                <?php if ( has_post_thumbnail()) { ?>
                    <a <?php $postid = $wp_query->post->ID; if ( get_post_meta($postid, 'kickcube_source', true) ) { ?> target="_blank" href="<?php echo get_post_meta($postid, 'kickcube_source', true); ?>" <?php } else { ?> href="<?php the_permalink(); ?>" <?php } ?> ><?php the_post_thumbnail('kickcube_wp_thumbnail-blog', array('title' => "")); ?></a>
                <?php } ?>

            <?php } ?>
            <?php } // Custom Fields ?>

 
                <div class="author-box">
                    <div class="at-img">
                        <a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>"><?php echo get_avatar( get_the_author_meta( 'user_email' ), 22 ); ?></a>
                    </div>
                    <div class="at-links">
                        <?php the_author_posts_link(); ?><br />
                        <?php if (function_exists('kickcube_wp_authorlocation')){ ?>
                          <?php if(get_the_author_meta('kickcube_wp_from')) { ?><div class="at-location"><i class="fa fa-map-marker"></i> <?php kickcube_wp_authorlocation( 12, '..'); ?></div> <?php } ?>
                        <?php } ?>
                        <div class="at-time"><i class="fa fa-clock-o"></i> <?php echo kickcube_wp_time_ago(); ?> <?php esc_html_e('ago', 'kickcube-wp'); ?></div>
                    </div>
                    <div class="clear"></div>
                </div><!--  end .author-box -->                     

            </li>   

            <?php endwhile; endif; ?>             
        </ul><!-- end .modern-articles -->

        <!-- Pagination -->
        <?php if ($kickcube_home_pag_select == 'Infinite Scroll') { ?>
            <div id="nav-below" class="pagination" style="display: none;">
                    <div class="nav-previous"><?php previous_posts_link('&lsaquo; ' . esc_html__('Newer Entries', 'kickcube-wp') . ''); ?></div>
                    <div class="nav-next"><?php next_posts_link('' . esc_html__('Older Entries', 'kickcube-wp') . ' &rsaquo;'); ?></div>
            </div>
        <?php } else { // Infinite Scroll ?>
            <div class="clear"></div>
            <?php if(function_exists('wp_pagenavi')) { ?>
            <?php wp_pagenavi(); ?>
            <?php } else { ?>
            <div class="defaultpag">
                <div class="sright"><?php next_posts_link('' . esc_html__('Older Entries', 'kickcube-wp') . ' &rsaquo;'); ?></div>
                <div class="sleft"><?php previous_posts_link('&lsaquo; ' . esc_html__('Newer Entries', 'kickcube-wp') . ''); ?></div>
            </div>
            <?php } ?>
        <?php } // Default Pagination ?>
        <!-- pagination -->

        <?php
        // Reset Query
        wp_reset_query(); ?>  


<?php if ($kickcube_wp_display_toplikes_articles == 'Yes') { ?> 
    <!-- Top Articles (by likes) Slider -->
    <div class="clear"></div>
    <div id="top-articles-slider">
        <?php $kickcube_wp_toplikesposts = new WP_Query(array('meta_key' => '_thumbs_rating_up', 'orderby' => 'meta_value_num', 'order' => 'DESC', 'ignore_sticky_posts' => 1, 'posts_per_page' => 12 )); // number to display more / less ?>
        <?php while ($kickcube_wp_toplikesposts->have_posts()) : $kickcube_wp_toplikesposts->the_post(); ?> 
 
        <div class="item">
          <div class="arrow-right"><a href="<?php the_permalink(); ?>"><i title="<?php esc_html_e('Top Articles by Likes', 'kickcube-wp'); ?>" class="fa fa-trophy" aria-hidden="true"></i></a></div>
          <?php if ( has_post_thumbnail()) { ?>
            <a href="<?php the_permalink(); ?>"><?php the_post_thumbnail('kickcube_wp_thumbnail-small', array('title' => "")); ?></a>
          <?php } else { ?>
            <a href="<?php the_permalink(); ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/no-photo.png" width="235" hieght="132" alt="article image" /></a>
          <?php } ?>

          <div class="title-section">
            <div class="article-category"><?php $kickcube_wp_category = get_the_category(); if ($kickcube_wp_category) 
                { echo wp_kses_post('<a href="' . get_category_link( $kickcube_wp_category[0]->term_id ) . '">' . $kickcube_wp_category[0]->name.'</a> ');}  ?>
            </div><!-- end .article-category -->  
            <div class="clear"></div>
            <a href="<?php the_permalink(); ?>"><h3><?php kickcube_wp_the_title( 45, ' ..'); ?></h3></a>
          </div><div class="clear"></div>

          <div class="author-box">
            <div class="at-img">
              <a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>"><?php echo get_avatar( get_the_author_meta( 'user_email' ), 22 ); ?></a>
            </div>
            <div class="at-links">
              <?php the_author_posts_link(); ?><br />
              <?php if (function_exists('kickcube_wp_authorlocation')){ ?>
                <?php if(get_the_author_meta('kickcube_wp_from')) { ?><div class="at-location"><i class="fa fa-map-marker"></i> <?php kickcube_wp_authorlocation( 12, '..'); ?></div> <?php } ?>
              <?php } ?>
              <div class="at-time"><i class="fa fa-clock-o"></i> <?php echo kickcube_wp_time_ago(); ?> <?php esc_html_e('ago', 'kickcube-wp'); ?></div>
             </div>
            <div class="clear"></div>
          </div><!--  end .author-box -->  
        </div><!-- end .item -->

        <?php endwhile; 
        /* Restore original Post Data */
        wp_reset_postdata(); ?>
    </div><!-- end #top-articles-slider -->
<?php } else { ?>
<div class="clear"></div>
<?php } ?>


</div><!-- end .wrap-middle -->
<?php get_footer(); // add footer  ?>